/*******************************************************************
* Creation Date: 05/29/2024   
*   GA_SID_2022_CORE.sps:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CORE FILE INTO SPSS                         
*******************************************************************/


/***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************/


/********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************/

DATA LIST FILE = 'GA_SID_2022_CORE.asc' FIXED SKIP=2 / 
 AGE                             1-   3
 AGEDAY                          4-   6
 AGEMONTH                        7-   9
 AHOUR                          10-  13
 AMONTH                         14-  15
 ATYPE                          16-  17
 AWEEKEND                       18-  19
 BILLTYPE                       20-  23 (A)
 BWT                            24-  27
 CPT1                           28-  32 (A)
 CPT2                           33-  37 (A)
 CPT3                           38-  42 (A)
 CPT4                           43-  47 (A)
 CPT5                           48-  52 (A)
 CPT6                           53-  57 (A)
 CPT7                           58-  62 (A)
 CPT8                           63-  67 (A)
 CPT9                           68-  72 (A)
 CPT10                          73-  77 (A)
 CPT11                          78-  82 (A)
 CPT12                          83-  87 (A)
 CPT13                          88-  92 (A)
 CPT14                          93-  97 (A)
 CPT15                          98- 102 (A)
 CPT16                         103- 107 (A)
 CPT17                         108- 112 (A)
 CPT18                         113- 117 (A)
 CPT19                         118- 122 (A)
 CPT20                         123- 127 (A)
 CPT21                         128- 132 (A)
 CPT22                         133- 137 (A)
 CPT23                         138- 142 (A)
 CPT24                         143- 147 (A)
 CPT25                         148- 152 (A)
 CPT26                         153- 157 (A)
 CPT27                         158- 162 (A)
 CPT28                         163- 167 (A)
 CPT29                         168- 172 (A)
 CPT30                         173- 177 (A)
 CPT31                         178- 182 (A)
 CPT32                         183- 187 (A)
 CPT33                         188- 192 (A)
 CPT34                         193- 197 (A)
 CPT35                         198- 202 (A)
 CPT36                         203- 207 (A)
 CPT37                         208- 212 (A)
 CPT38                         213- 217 (A)
 CPT39                         218- 222 (A)
 CPT40                         223- 227 (A)
 CPT41                         228- 232 (A)
 CPT42                         233- 237 (A)
 CPT43                         238- 242 (A)
 CPT44                         243- 247 (A)
 CPT45                         248- 252 (A)
 CPT46                         253- 257 (A)
 CPT47                         258- 262 (A)
 CPT48                         263- 267 (A)
 CPT49                         268- 272 (A)
 CPT50                         273- 277 (A)
 CPT51                         278- 282 (A)
 CPT52                         283- 287 (A)
 CPT53                         288- 292 (A)
 CPT54                         293- 297 (A)
 CPT55                         298- 302 (A)
 CPT56                         303- 307 (A)
 CPT57                         308- 312 (A)
 CPT58                         313- 317 (A)
 CPT59                         318- 322 (A)
 CPT60                         323- 327 (A)
 CPT61                         328- 332 (A)
 CPT62                         333- 337 (A)
 CPT63                         338- 342 (A)
 CPT64                         343- 347 (A)
 CPT65                         348- 352 (A)
 CPT66                         353- 357 (A)
 CPT67                         358- 362 (A)
 CPT68                         363- 367 (A)
 CPT69                         368- 372 (A)
 CPT70                         373- 377 (A)
 CPT71                         378- 382 (A)
 CPT72                         383- 387 (A)
 CPT73                         388- 392 (A)
 CPT74                         393- 397 (A)
 CPT75                         398- 402 (A)
 CPT76                         403- 407 (A)
 CPT77                         408- 412 (A)
 CPT78                         413- 417 (A)
 CPT79                         418- 422 (A)
 CPT80                         423- 427 (A)
 CPT81                         428- 432 (A)
 CPT82                         433- 437 (A)
 CPT83                         438- 442 (A)
 CPT84                         443- 447 (A)
 CPT85                         448- 452 (A)
 CPT86                         453- 457 (A)
 CPT87                         458- 462 (A)
 CPT88                         463- 467 (A)
 CPT89                         468- 472 (A)
 CPT90                         473- 477 (A)
 CPT91                         478- 482 (A)
 CPT92                         483- 487 (A)
 CPT93                         488- 492 (A)
 CPT94                         493- 497 (A)
 CPT95                         498- 502 (A)
 CPT96                         503- 507 (A)
 CPT97                         508- 512 (A)
 CPT98                         513- 517 (A)
 CPT99                         518- 522 (A)
 CPT100                        523- 527 (A)
 CPT101                        528- 532 (A)
 CPT102                        533- 537 (A)
 CPT103                        538- 542 (A)
 CPT104                        543- 547 (A)
 CPT105                        548- 552 (A)
 CPT106                        553- 557 (A)
 CPT107                        558- 562 (A)
 CPT108                        563- 567 (A)
 CPT109                        568- 572 (A)
 CPT110                        573- 577 (A)
 CPT111                        578- 582 (A)
 CPT112                        583- 587 (A)
 CPT113                        588- 592 (A)
 CPT114                        593- 597 (A)
 CPT115                        598- 602 (A)
 CPT116                        603- 607 (A)
 CPT117                        608- 612 (A)
 CPT118                        613- 617 (A)
 CPT119                        618- 622 (A)
 CPT120                        623- 627 (A)
 CPT121                        628- 632 (A)
 CPT122                        633- 637 (A)
 CPT123                        638- 642 (A)
 CPT124                        643- 647 (A)
 CPT125                        648- 652 (A)
 CPT126                        653- 657 (A)
 CPT127                        658- 662 (A)
 CPT128                        663- 667 (A)
 CPT129                        668- 672 (A)
 CPT130                        673- 677 (A)
 CPT131                        678- 682 (A)
 CPT132                        683- 687 (A)
 CPT133                        688- 692 (A)
 CPT134                        693- 697 (A)
 CPT135                        698- 702 (A)
 CPT136                        703- 707 (A)
 CPT137                        708- 712 (A)
 CPT138                        713- 717 (A)
 CPT139                        718- 722 (A)
 CPT140                        723- 727 (A)
 CPT141                        728- 732 (A)
 CPT142                        733- 737 (A)
 CPT143                        738- 742 (A)
 CPT144                        743- 747 (A)
 CPT145                        748- 752 (A)
 CPT146                        753- 757 (A)
 CPT147                        758- 762 (A)
 CPT148                        763- 767 (A)
 CPT149                        768- 772 (A)
 CPT150                        773- 777 (A)
 CPT151                        778- 782 (A)
 CPT152                        783- 787 (A)
 CPT153                        788- 792 (A)
 CPT154                        793- 797 (A)
 CPT155                        798- 802 (A)
 CPT156                        803- 807 (A)
 CPT157                        808- 812 (A)
 CPT158                        813- 817 (A)
 CPT159                        818- 822 (A)
 CPT160                        823- 827 (A)
 CPT161                        828- 832 (A)
 CPT162                        833- 837 (A)
 CPT163                        838- 842 (A)
 CPT164                        843- 847 (A)
 CPT165                        848- 852 (A)
 CPT166                        853- 857 (A)
 CPT167                        858- 862 (A)
 CPT168                        863- 867 (A)
 CPT169                        868- 872 (A)
 CPT170                        873- 877 (A)
 CPT171                        878- 882 (A)
 CPT172                        883- 887 (A)
 CPT173                        888- 892 (A)
 CPT174                        893- 897 (A)
 CPT175                        898- 902 (A)
 CPT176                        903- 907 (A)
 CPT177                        908- 912 (A)
 CPT178                        913- 917 (A)
 CPT179                        918- 922 (A)
 CPT180                        923- 927 (A)
 CPT181                        928- 932 (A)
 CPT182                        933- 937 (A)
 CPT183                        938- 942 (A)
 CPT184                        943- 947 (A)
 CPT185                        948- 952 (A)
 CPT186                        953- 957 (A)
 CPT187                        958- 962 (A)
 CPT188                        963- 967 (A)
 CPT189                        968- 972 (A)
 CPT190                        973- 977 (A)
 CPT191                        978- 982 (A)
 CPT192                        983- 987 (A)
 CPT193                        988- 992 (A)
 CPT194                        993- 997 (A)
 CPT195                        998-1002 (A)
 CPT196                       1003-1007 (A)
 CPT197                       1008-1012 (A)
 CPT198                       1013-1017 (A)
 CPT199                       1018-1022 (A)
 CPT200                       1023-1027 (A)
 CPTCCS1                      1028-1030
 CPTCCS2                      1031-1033
 CPTCCS3                      1034-1036
 CPTCCS4                      1037-1039
 CPTCCS5                      1040-1042
 CPTCCS6                      1043-1045
 CPTCCS7                      1046-1048
 CPTCCS8                      1049-1051
 CPTCCS9                      1052-1054
 CPTCCS10                     1055-1057
 CPTCCS11                     1058-1060
 CPTCCS12                     1061-1063
 CPTCCS13                     1064-1066
 CPTCCS14                     1067-1069
 CPTCCS15                     1070-1072
 CPTCCS16                     1073-1075
 CPTCCS17                     1076-1078
 CPTCCS18                     1079-1081
 CPTCCS19                     1082-1084
 CPTCCS20                     1085-1087
 CPTCCS21                     1088-1090
 CPTCCS22                     1091-1093
 CPTCCS23                     1094-1096
 CPTCCS24                     1097-1099
 CPTCCS25                     1100-1102
 CPTCCS26                     1103-1105
 CPTCCS27                     1106-1108
 CPTCCS28                     1109-1111
 CPTCCS29                     1112-1114
 CPTCCS30                     1115-1117
 CPTCCS31                     1118-1120
 CPTCCS32                     1121-1123
 CPTCCS33                     1124-1126
 CPTCCS34                     1127-1129
 CPTCCS35                     1130-1132
 CPTCCS36                     1133-1135
 CPTCCS37                     1136-1138
 CPTCCS38                     1139-1141
 CPTCCS39                     1142-1144
 CPTCCS40                     1145-1147
 CPTCCS41                     1148-1150
 CPTCCS42                     1151-1153
 CPTCCS43                     1154-1156
 CPTCCS44                     1157-1159
 CPTCCS45                     1160-1162
 CPTCCS46                     1163-1165
 CPTCCS47                     1166-1168
 CPTCCS48                     1169-1171
 CPTCCS49                     1172-1174
 CPTCCS50                     1175-1177
 CPTCCS51                     1178-1180
 CPTCCS52                     1181-1183
 CPTCCS53                     1184-1186
 CPTCCS54                     1187-1189
 CPTCCS55                     1190-1192
 CPTCCS56                     1193-1195
 CPTCCS57                     1196-1198
 CPTCCS58                     1199-1201
 CPTCCS59                     1202-1204
 CPTCCS60                     1205-1207
 CPTCCS61                     1208-1210
 CPTCCS62                     1211-1213
 CPTCCS63                     1214-1216
 CPTCCS64                     1217-1219
 CPTCCS65                     1220-1222
 CPTCCS66                     1223-1225
 CPTCCS67                     1226-1228
 CPTCCS68                     1229-1231
 CPTCCS69                     1232-1234
 CPTCCS70                     1235-1237
 CPTCCS71                     1238-1240
 CPTCCS72                     1241-1243
 CPTCCS73                     1244-1246
 CPTCCS74                     1247-1249
 CPTCCS75                     1250-1252
 CPTCCS76                     1253-1255
 CPTCCS77                     1256-1258
 CPTCCS78                     1259-1261
 CPTCCS79                     1262-1264
 CPTCCS80                     1265-1267
 CPTCCS81                     1268-1270
 CPTCCS82                     1271-1273
 CPTCCS83                     1274-1276
 CPTCCS84                     1277-1279
 CPTCCS85                     1280-1282
 CPTCCS86                     1283-1285
 CPTCCS87                     1286-1288
 CPTCCS88                     1289-1291
 CPTCCS89                     1292-1294
 CPTCCS90                     1295-1297
 CPTCCS91                     1298-1300
 CPTCCS92                     1301-1303
 CPTCCS93                     1304-1306
 CPTCCS94                     1307-1309
 CPTCCS95                     1310-1312
 CPTCCS96                     1313-1315
 CPTCCS97                     1316-1318
 CPTCCS98                     1319-1321
 CPTCCS99                     1322-1324
 CPTCCS100                    1325-1327
 CPTCCS101                    1328-1330
 CPTCCS102                    1331-1333
 CPTCCS103                    1334-1336
 CPTCCS104                    1337-1339
 CPTCCS105                    1340-1342
 CPTCCS106                    1343-1345
 CPTCCS107                    1346-1348
 CPTCCS108                    1349-1351
 CPTCCS109                    1352-1354
 CPTCCS110                    1355-1357
 CPTCCS111                    1358-1360
 CPTCCS112                    1361-1363
 CPTCCS113                    1364-1366
 CPTCCS114                    1367-1369
 CPTCCS115                    1370-1372
 CPTCCS116                    1373-1375
 CPTCCS117                    1376-1378
 CPTCCS118                    1379-1381
 CPTCCS119                    1382-1384
 CPTCCS120                    1385-1387
 CPTCCS121                    1388-1390
 CPTCCS122                    1391-1393
 CPTCCS123                    1394-1396
 CPTCCS124                    1397-1399
 CPTCCS125                    1400-1402
 CPTCCS126                    1403-1405
 CPTCCS127                    1406-1408
 CPTCCS128                    1409-1411
 CPTCCS129                    1412-1414
 CPTCCS130                    1415-1417
 CPTCCS131                    1418-1420
 CPTCCS132                    1421-1423
 CPTCCS133                    1424-1426
 CPTCCS134                    1427-1429
 CPTCCS135                    1430-1432
 CPTCCS136                    1433-1435
 CPTCCS137                    1436-1438
 CPTCCS138                    1439-1441
 CPTCCS139                    1442-1444
 CPTCCS140                    1445-1447
 CPTCCS141                    1448-1450
 CPTCCS142                    1451-1453
 CPTCCS143                    1454-1456
 CPTCCS144                    1457-1459
 CPTCCS145                    1460-1462
 CPTCCS146                    1463-1465
 CPTCCS147                    1466-1468
 CPTCCS148                    1469-1471
 CPTCCS149                    1472-1474
 CPTCCS150                    1475-1477
 CPTCCS151                    1478-1480
 CPTCCS152                    1481-1483
 CPTCCS153                    1484-1486
 CPTCCS154                    1487-1489
 CPTCCS155                    1490-1492
 CPTCCS156                    1493-1495
 CPTCCS157                    1496-1498
 CPTCCS158                    1499-1501
 CPTCCS159                    1502-1504
 CPTCCS160                    1505-1507
 CPTCCS161                    1508-1510
 CPTCCS162                    1511-1513
 CPTCCS163                    1514-1516
 CPTCCS164                    1517-1519
 CPTCCS165                    1520-1522
 CPTCCS166                    1523-1525
 CPTCCS167                    1526-1528
 CPTCCS168                    1529-1531
 CPTCCS169                    1532-1534
 CPTCCS170                    1535-1537
 CPTCCS171                    1538-1540
 CPTCCS172                    1541-1543
 CPTCCS173                    1544-1546
 CPTCCS174                    1547-1549
 CPTCCS175                    1550-1552
 CPTCCS176                    1553-1555
 CPTCCS177                    1556-1558
 CPTCCS178                    1559-1561
 CPTCCS179                    1562-1564
 CPTCCS180                    1565-1567
 CPTCCS181                    1568-1570
 CPTCCS182                    1571-1573
 CPTCCS183                    1574-1576
 CPTCCS184                    1577-1579
 CPTCCS185                    1580-1582
 CPTCCS186                    1583-1585
 CPTCCS187                    1586-1588
 CPTCCS188                    1589-1591
 CPTCCS189                    1592-1594
 CPTCCS190                    1595-1597
 CPTCCS191                    1598-1600
 CPTCCS192                    1601-1603
 CPTCCS193                    1604-1606
 CPTCCS194                    1607-1609
 CPTCCS195                    1610-1612
 CPTCCS196                    1613-1615
 CPTCCS197                    1616-1618
 CPTCCS198                    1619-1621
 CPTCCS199                    1622-1624
 CPTCCS200                    1625-1627
 DaysToEvent                  1628-1633
 DHOUR                        1634-1637
 DIED                         1638-1639
 DISP_X                       1640-1641 (A)
 DISPUB04                     1642-1643
 DISPUNIFORM                  1644-1645
 DMONTH                       1646-1647
 DQTR                         1648-1649
 DRG                          1650-1652
 DRG_NoPOA                    1653-1655
 DRGVER                       1656-1657
 DXPOA1                       1658     (A)
 DXPOA2                       1659     (A)
 DXPOA3                       1660     (A)
 DXPOA4                       1661     (A)
 DXPOA5                       1662     (A)
 DXPOA6                       1663     (A)
 DXPOA7                       1664     (A)
 DXPOA8                       1665     (A)
 DXPOA9                       1666     (A)
 DXPOA10                      1667     (A)
 DXPOA11                      1668     (A)
 DXPOA12                      1669     (A)
 DXPOA13                      1670     (A)
 DXPOA14                      1671     (A)
 DXPOA15                      1672     (A)
 DXPOA16                      1673     (A)
 DXPOA17                      1674     (A)
 DXPOA18                      1675     (A)
 DXPOA19                      1676     (A)
 DXPOA20                      1677     (A)
 DXPOA21                      1678     (A)
 DXPOA22                      1679     (A)
 DXPOA23                      1680     (A)
 DXPOA24                      1681     (A)
 DXPOA25                      1682     (A)
 DXPOA26                      1683     (A)
 DXPOA27                      1684     (A)
 DXPOA28                      1685     (A)
 DXPOA29                      1686     (A)
 DXPOA30                      1687     (A)
 DXPOA31                      1688     (A)
 DXPOA32                      1689     (A)
 DXPOA33                      1690     (A)
 DXPOA34                      1691     (A)
 DXPOA35                      1692     (A)
 DXPOA36                      1693     (A)
 DXPOA37                      1694     (A)
 DXPOA38                      1695     (A)
 DXPOA39                      1696     (A)
 DXPOA40                      1697     (A)
 DXPOA41                      1698     (A)
 DXPOA42                      1699     (A)
 DXPOA43                      1700     (A)
 DXPOA44                      1701     (A)
 DXPOA45                      1702     (A)
 DXPOA46                      1703     (A)
 DXPOA47                      1704     (A)
 DXPOA48                      1705     (A)
 DXPOA49                      1706     (A)
 DXPOA50                      1707     (A)
 DXPOA51                      1708     (A)
 DXPOA52                      1709     (A)
 DXPOA53                      1710     (A)
 DXPOA54                      1711     (A)
 DXPOA55                      1712     (A)
 DXPOA56                      1713     (A)
 DXPOA57                      1714     (A)
 DXPOA58                      1715     (A)
 DXPOA59                      1716     (A)
 DXPOA60                      1717     (A)
 DXPOA61                      1718     (A)
 DXPOA62                      1719     (A)
 DXPOA63                      1720     (A)
 DXPOA64                      1721     (A)
 DXPOA65                      1722     (A)
 DXPOA66                      1723     (A)
 DXPOA67                      1724     (A)
 DXPOA68                      1725     (A)
 DXPOA69                      1726     (A)
 DXPOA70                      1727     (A)
 DXPOA71                      1728     (A)
 DXPOA72                      1729     (A)
 DXPOA73                      1730     (A)
 DXPOA74                      1731     (A)
 DXPOA75                      1732     (A)
 DXPOA76                      1733     (A)
 DXPOA77                      1734     (A)
 DXPOA78                      1735     (A)
 DXPOA79                      1736     (A)
 DXPOA80                      1737     (A)
 DXPOA81                      1738     (A)
 DXPOA82                      1739     (A)
 DXPOA83                      1740     (A)
 DXPOA84                      1741     (A)
 DXPOA85                      1742     (A)
 DXPOA86                      1743     (A)
 DXPOA87                      1744     (A)
 DXPOA88                      1745     (A)
 DXPOA89                      1746     (A)
 DXPOA90                      1747     (A)
 DXPOA91                      1748     (A)
 DXPOA92                      1749     (A)
 DXPOA93                      1750     (A)
 DXPOA94                      1751     (A)
 DXPOA95                      1752     (A)
 DXPOA96                      1753     (A)
 DXPOA97                      1754     (A)
 DXPOA98                      1755     (A)
 DXPOA99                      1756     (A)
 DXPOA100                     1757     (A)
 DXPOA101                     1758     (A)
 DXPOA102                     1759     (A)
 DXPOA103                     1760     (A)
 DXPOA104                     1761     (A)
 DXPOA105                     1762     (A)
 DXPOA106                     1763     (A)
 DXPOA107                     1764     (A)
 DXPOA108                     1765     (A)
 DXPOA109                     1766     (A)
 DXPOA110                     1767     (A)
 DXPOA111                     1768     (A)
 DXPOA112                     1769     (A)
 DXPOA113                     1770     (A)
 DXPOA114                     1771     (A)
 DXPOA115                     1772     (A)
 DXPOA116                     1773     (A)
 DXPOA117                     1774     (A)
 DXPOA118                     1775     (A)
 DXPOA119                     1776     (A)
 DXPOA120                     1777     (A)
 DXPOA121                     1778     (A)
 DXPOA122                     1779     (A)
 DXPOA123                     1780     (A)
 DXPOA124                     1781     (A)
 DXPOA125                     1782     (A)
 DXPOA126                     1783     (A)
 DXPOA127                     1784     (A)
 DXPOA128                     1785     (A)
 DXPOA129                     1786     (A)
 DXPOA130                     1787     (A)
 DXPOA131                     1788     (A)
 DXPOA132                     1789     (A)
 DXPOA133                     1790     (A)
 DXPOA134                     1791     (A)
 DXPOA135                     1792     (A)
 DXPOA136                     1793     (A)
 FEMALE                       1794-1795
 HCUP_ED                      1796-1797
 HCUP_OS                      1798-1799
 HISPANIC                     1800-1801
 HISPANIC_X                   1802     (A)
 Homeless                     1803-1804
 HOSPST                       1805-1806 (A)
 I10_BIRTH                    1807-1809
 I10_DELIVERY                 1810-1812
 I10_DX1                      1813-1819 (A)
 I10_DX2                      1820-1826 (A)
 I10_DX3                      1827-1833 (A)
 I10_DX4                      1834-1840 (A)
 I10_DX5                      1841-1847 (A)
 I10_DX6                      1848-1854 (A)
 I10_DX7                      1855-1861 (A)
 I10_DX8                      1862-1868 (A)
 I10_DX9                      1869-1875 (A)
 I10_DX10                     1876-1882 (A)
 I10_DX11                     1883-1889 (A)
 I10_DX12                     1890-1896 (A)
 I10_DX13                     1897-1903 (A)
 I10_DX14                     1904-1910 (A)
 I10_DX15                     1911-1917 (A)
 I10_DX16                     1918-1924 (A)
 I10_DX17                     1925-1931 (A)
 I10_DX18                     1932-1938 (A)
 I10_DX19                     1939-1945 (A)
 I10_DX20                     1946-1952 (A)
 I10_DX21                     1953-1959 (A)
 I10_DX22                     1960-1966 (A)
 I10_DX23                     1967-1973 (A)
 I10_DX24                     1974-1980 (A)
 I10_DX25                     1981-1987 (A)
 I10_DX26                     1988-1994 (A)
 I10_DX27                     1995-2001 (A)
 I10_DX28                     2002-2008 (A)
 I10_DX29                     2009-2015 (A)
 I10_DX30                     2016-2022 (A)
 I10_DX31                     2023-2029 (A)
 I10_DX32                     2030-2036 (A)
 I10_DX33                     2037-2043 (A)
 I10_DX34                     2044-2050 (A)
 I10_DX35                     2051-2057 (A)
 I10_DX36                     2058-2064 (A)
 I10_DX37                     2065-2071 (A)
 I10_DX38                     2072-2078 (A)
 I10_DX39                     2079-2085 (A)
 I10_DX40                     2086-2092 (A)
 I10_DX41                     2093-2099 (A)
 I10_DX42                     2100-2106 (A)
 I10_DX43                     2107-2113 (A)
 I10_DX44                     2114-2120 (A)
 I10_DX45                     2121-2127 (A)
 I10_DX46                     2128-2134 (A)
 I10_DX47                     2135-2141 (A)
 I10_DX48                     2142-2148 (A)
 I10_DX49                     2149-2155 (A)
 I10_DX50                     2156-2162 (A)
 I10_DX51                     2163-2169 (A)
 I10_DX52                     2170-2176 (A)
 I10_DX53                     2177-2183 (A)
 I10_DX54                     2184-2190 (A)
 I10_DX55                     2191-2197 (A)
 I10_DX56                     2198-2204 (A)
 I10_DX57                     2205-2211 (A)
 I10_DX58                     2212-2218 (A)
 I10_DX59                     2219-2225 (A)
 I10_DX60                     2226-2232 (A)
 I10_DX61                     2233-2239 (A)
 I10_DX62                     2240-2246 (A)
 I10_DX63                     2247-2253 (A)
 I10_DX64                     2254-2260 (A)
 I10_DX65                     2261-2267 (A)
 I10_DX66                     2268-2274 (A)
 I10_DX67                     2275-2281 (A)
 I10_DX68                     2282-2288 (A)
 I10_DX69                     2289-2295 (A)
 I10_DX70                     2296-2302 (A)
 I10_DX71                     2303-2309 (A)
 I10_DX72                     2310-2316 (A)
 I10_DX73                     2317-2323 (A)
 I10_DX74                     2324-2330 (A)
 I10_DX75                     2331-2337 (A)
 I10_DX76                     2338-2344 (A)
 I10_DX77                     2345-2351 (A)
 I10_DX78                     2352-2358 (A)
 I10_DX79                     2359-2365 (A)
 I10_DX80                     2366-2372 (A)
 I10_DX81                     2373-2379 (A)
 I10_DX82                     2380-2386 (A)
 I10_DX83                     2387-2393 (A)
 I10_DX84                     2394-2400 (A)
 I10_DX85                     2401-2407 (A)
 I10_DX86                     2408-2414 (A)
 I10_DX87                     2415-2421 (A)
 I10_DX88                     2422-2428 (A)
 I10_DX89                     2429-2435 (A)
 I10_DX90                     2436-2442 (A)
 I10_DX91                     2443-2449 (A)
 I10_DX92                     2450-2456 (A)
 I10_DX93                     2457-2463 (A)
 I10_DX94                     2464-2470 (A)
 I10_DX95                     2471-2477 (A)
 I10_DX96                     2478-2484 (A)
 I10_DX97                     2485-2491 (A)
 I10_DX98                     2492-2498 (A)
 I10_DX99                     2499-2505 (A)
 I10_DX100                    2506-2512 (A)
 I10_DX101                    2513-2519 (A)
 I10_DX102                    2520-2526 (A)
 I10_DX103                    2527-2533 (A)
 I10_DX104                    2534-2540 (A)
 I10_DX105                    2541-2547 (A)
 I10_DX106                    2548-2554 (A)
 I10_DX107                    2555-2561 (A)
 I10_DX108                    2562-2568 (A)
 I10_DX109                    2569-2575 (A)
 I10_DX110                    2576-2582 (A)
 I10_DX111                    2583-2589 (A)
 I10_DX112                    2590-2596 (A)
 I10_DX113                    2597-2603 (A)
 I10_DX114                    2604-2610 (A)
 I10_DX115                    2611-2617 (A)
 I10_DX116                    2618-2624 (A)
 I10_DX117                    2625-2631 (A)
 I10_DX118                    2632-2638 (A)
 I10_DX119                    2639-2645 (A)
 I10_DX120                    2646-2652 (A)
 I10_DX121                    2653-2659 (A)
 I10_DX122                    2660-2666 (A)
 I10_DX123                    2667-2673 (A)
 I10_DX124                    2674-2680 (A)
 I10_DX125                    2681-2687 (A)
 I10_DX126                    2688-2694 (A)
 I10_DX127                    2695-2701 (A)
 I10_DX128                    2702-2708 (A)
 I10_DX129                    2709-2715 (A)
 I10_DX130                    2716-2722 (A)
 I10_DX131                    2723-2729 (A)
 I10_DX132                    2730-2736 (A)
 I10_DX133                    2737-2743 (A)
 I10_DX134                    2744-2750 (A)
 I10_DX135                    2751-2757 (A)
 I10_DX136                    2758-2764 (A)
 I10_NDX                      2765-2767
 I10_NPR                      2768-2770
 I10_PR1                      2771-2777 (A)
 I10_PR2                      2778-2784 (A)
 I10_PR3                      2785-2791 (A)
 I10_PR4                      2792-2798 (A)
 I10_PR5                      2799-2805 (A)
 I10_PR6                      2806-2812 (A)
 I10_PR7                      2813-2819 (A)
 I10_PR8                      2820-2826 (A)
 I10_PR9                      2827-2833 (A)
 I10_PR10                     2834-2840 (A)
 I10_PR11                     2841-2847 (A)
 I10_PR12                     2848-2854 (A)
 I10_PR13                     2855-2861 (A)
 I10_PR14                     2862-2868 (A)
 I10_PR15                     2869-2875 (A)
 I10_PR16                     2876-2882 (A)
 I10_PR17                     2883-2889 (A)
 I10_PR18                     2890-2896 (A)
 I10_PR19                     2897-2903 (A)
 I10_PR20                     2904-2910 (A)
 I10_PR21                     2911-2917 (A)
 I10_PR22                     2918-2924 (A)
 I10_PR23                     2925-2931 (A)
 I10_PR24                     2932-2938 (A)
 I10_PR25                     2939-2945 (A)
 I10_PR26                     2946-2952 (A)
 I10_PR27                     2953-2959 (A)
 I10_PR28                     2960-2966 (A)
 I10_PR29                     2967-2973 (A)
 I10_PR30                     2974-2980 (A)
 I10_PR31                     2981-2987 (A)
 I10_PR32                     2988-2994 (A)
 I10_PR33                     2995-3001 (A)
 I10_PR34                     3002-3008 (A)
 I10_PR35                     3009-3015 (A)
 I10_PR36                     3016-3022 (A)
 I10_PR37                     3023-3029 (A)
 I10_PR38                     3030-3036 (A)
 I10_PR39                     3037-3043 (A)
 I10_PR40                     3044-3050 (A)
 I10_PR41                     3051-3057 (A)
 I10_PR42                     3058-3064 (A)
 I10_PR43                     3065-3071 (A)
 I10_PR44                     3072-3078 (A)
 I10_PR45                     3079-3085 (A)
 I10_PR46                     3086-3092 (A)
 I10_PR47                     3093-3099 (A)
 I10_PR48                     3100-3106 (A)
 I10_PR49                     3107-3113 (A)
 I10_PR50                     3114-3120 (A)
 I10_PR51                     3121-3127 (A)
 I10_PR52                     3128-3134 (A)
 I10_PR53                     3135-3141 (A)
 I10_PR54                     3142-3148 (A)
 I10_PR55                     3149-3155 (A)
 I10_PR56                     3156-3162 (A)
 I10_PR57                     3163-3169 (A)
 I10_PR58                     3170-3176 (A)
 I10_PR59                     3177-3183 (A)
 I10_PR60                     3184-3190 (A)
 I10_PR61                     3191-3197 (A)
 I10_PR62                     3198-3204 (A)
 I10_PR63                     3205-3211 (A)
 I10_PR64                     3212-3218 (A)
 I10_PR65                     3219-3225 (A)
 I10_PR66                     3226-3232 (A)
 I10_PR67                     3233-3239 (A)
 I10_PR68                     3240-3246 (A)
 I10_PR69                     3247-3253 (A)
 I10_PR70                     3254-3260 (A)
 I10_PR71                     3261-3267 (A)
 I10_PR72                     3268-3274 (A)
 I10_PR73                     3275-3281 (A)
 I10_PR74                     3282-3288 (A)
 I10_PR75                     3289-3295 (A)
 I10_PR76                     3296-3302 (A)
 I10_PR77                     3303-3309 (A)
 I10_PR78                     3310-3316 (A)
 I10_PR79                     3317-3323 (A)
 I10_PR80                     3324-3330 (A)
 I10_PR81                     3331-3337 (A)
 I10_PR82                     3338-3344 (A)
 I10_PR83                     3345-3351 (A)
 I10_PR84                     3352-3358 (A)
 I10_PR85                     3359-3365 (A)
 I10_PR86                     3366-3372 (A)
 I10_PR87                     3373-3379 (A)
 I10_PR88                     3380-3386 (A)
 I10_PR89                     3387-3393 (A)
 I10_PR90                     3394-3400 (A)
 I10_PR91                     3401-3407 (A)
 I10_PR92                     3408-3414 (A)
 I10_PR93                     3415-3421 (A)
 I10_PR94                     3422-3428 (A)
 I10_PR95                     3429-3435 (A)
 I10_PR96                     3436-3442 (A)
 I10_PR97                     3443-3449 (A)
 I10_PR98                     3450-3456 (A)
 I10_PR99                     3457-3463 (A)
 I10_PR100                    3464-3470 (A)
 I10_PR101                    3471-3477 (A)
 I10_PR102                    3478-3484 (A)
 I10_PR103                    3485-3491 (A)
 I10_PR104                    3492-3498 (A)
 I10_PR105                    3499-3505 (A)
 I10_PR106                    3506-3512 (A)
 I10_PR107                    3513-3519 (A)
 I10_PR108                    3520-3526 (A)
 I10_PR109                    3527-3533 (A)
 I10_PR110                    3534-3540 (A)
 I10_PR111                    3541-3547 (A)
 I10_PR112                    3548-3554 (A)
 I10_PR113                    3555-3561 (A)
 I10_PR114                    3562-3568 (A)
 I10_PR115                    3569-3575 (A)
 I10_PR116                    3576-3582 (A)
 I10_PR117                    3583-3589 (A)
 I10_PR118                    3590-3596 (A)
 I10_PR119                    3597-3603 (A)
 I10_PR120                    3604-3610 (A)
 I10_PR121                    3611-3617 (A)
 I10_PR122                    3618-3624 (A)
 I10_PR123                    3625-3631 (A)
 I10_PR124                    3632-3638 (A)
 I10_PR125                    3639-3645 (A)
 I10_PR126                    3646-3652 (A)
 I10_PR127                    3653-3659 (A)
 I10_PR128                    3660-3666 (A)
 I10_PR129                    3667-3673 (A)
 I10_PR130                    3674-3680 (A)
 I10_PR131                    3681-3687 (A)
 I10_PR132                    3688-3694 (A)
 I10_PR133                    3695-3701 (A)
 I10_PR134                    3702-3708 (A)
 I10_PR135                    3709-3715 (A)
 I10_PR136                    3716-3722 (A)
 I10_PR137                    3723-3729 (A)
 I10_PR138                    3730-3736 (A)
 I10_PR139                    3737-3743 (A)
 I10_PR140                    3744-3750 (A)
 I10_PR141                    3751-3757 (A)
 I10_PR142                    3758-3764 (A)
 I10_PR143                    3765-3771 (A)
 I10_PR144                    3772-3778 (A)
 I10_PR145                    3779-3785 (A)
 I10_PR146                    3786-3792 (A)
 I10_PR147                    3793-3799 (A)
 I10_PR148                    3800-3806 (A)
 I10_PR149                    3807-3813 (A)
 I10_PR150                    3814-3820 (A)
 I10_PR151                    3821-3827 (A)
 I10_PR152                    3828-3834 (A)
 I10_PR153                    3835-3841 (A)
 I10_PR154                    3842-3848 (A)
 I10_PR155                    3849-3855 (A)
 I10_PR156                    3856-3862 (A)
 I10_PR157                    3863-3869 (A)
 I10_PR158                    3870-3876 (A)
 I10_PR159                    3877-3883 (A)
 I10_PR160                    3884-3890 (A)
 I10_PR161                    3891-3897 (A)
 I10_PR162                    3898-3904 (A)
 I10_PR163                    3905-3911 (A)
 I10_PR164                    3912-3918 (A)
 I10_PR165                    3919-3925 (A)
 I10_PR166                    3926-3932 (A)
 I10_PR167                    3933-3939 (A)
 I10_PR168                    3940-3946 (A)
 I10_PR169                    3947-3953 (A)
 I10_PR170                    3954-3960 (A)
 I10_PR171                    3961-3967 (A)
 I10_PR172                    3968-3974 (A)
 I10_PR173                    3975-3981 (A)
 I10_PR174                    3982-3988 (A)
 I10_PR175                    3989-3995 (A)
 I10_PR176                    3996-4002 (A)
 I10_PR177                    4003-4009 (A)
 I10_PR178                    4010-4016 (A)
 I10_PR179                    4017-4023 (A)
 I10_PR180                    4024-4030 (A)
 I10_PR181                    4031-4037 (A)
 I10_PR182                    4038-4044 (A)
 I10_PR183                    4045-4051 (A)
 I10_PR184                    4052-4058 (A)
 I10_PR185                    4059-4065 (A)
 I10_PR186                    4066-4072 (A)
 I10_PR187                    4073-4079 (A)
 I10_PR188                    4080-4086 (A)
 I10_PR189                    4087-4093 (A)
 I10_PR190                    4094-4100 (A)
 I10_PR191                    4101-4107 (A)
 I10_PR192                    4108-4114 (A)
 I10_PR193                    4115-4121 (A)
 I10_PR194                    4122-4128 (A)
 I10_PR195                    4129-4135 (A)
 I10_PR196                    4136-4142 (A)
 I10_PR197                    4143-4149 (A)
 I10_PR198                    4150-4156 (A)
 I10_PR199                    4157-4163 (A)
 I10_PR200                    4164-4170 (A)
 I10_PROCTYPE                 4171-4173
 I10_SERVICELINE              4174-4175
 KEY                          4176-4190
 LOS                          4191-4195
 LOS_X                        4196-4201
 MARITALSTATUS_X              4202     (A)
 MARITALSTATUSUB04            4203     (A)
 MDC                          4204-4205
 MDC_NoPOA                    4206-4207
 MDNUM1_R                     4208-4216
 MDNUM2_R                     4217-4225
 MDNUM3_R                     4226-4234
 MDNUM4_R                     4235-4243
 MEDINCSTQ                    4244-4245
 NCPT                         4246-4249
 OS_TIME                      4250-4260
 PAY1                         4261-4262
 PAY1_X                       4263-4266 (A)
 PAY2                         4267-4268
 PAY2_X                       4269-4272 (A)
 PAY3                         4273-4274
 PAY3_X                       4275-4278 (A)
 PCLASS_ORPROC                4279-4280
 PL_CBSA                      4281-4283
 PL_NCHS                      4284-4285
 PL_RUCC                      4286-4287
 PL_UIC                       4288-4289
 PL_UR_CAT4                   4290-4291
 POA_Disch_Edit1              4292-4293
 POA_Disch_Edit2              4294-4295
 POA_Hosp_Edit1               4296-4297
 POA_Hosp_Edit2               4298-4299
 POA_Hosp_Edit3               4300-4301
 POA_Hosp_Edit3_Value         4302-4309
 PointOfOrigin_X              4310-4311 (A)
 PointOfOriginUB04            4312     (A)
 PRDAY1                       4313-4317
 PRDAY2                       4318-4322
 PRDAY3                       4323-4327
 PRDAY4                       4328-4332
 PRDAY5                       4333-4337
 PRDAY6                       4338-4342
 PRDAY7                       4343-4347
 PRDAY8                       4348-4352
 PRDAY9                       4353-4357
 PRDAY10                      4358-4362
 PRDAY11                      4363-4367
 PRDAY12                      4368-4372
 PRDAY13                      4373-4377
 PRDAY14                      4378-4382
 PRDAY15                      4383-4387
 PRDAY16                      4388-4392
 PRDAY17                      4393-4397
 PRDAY18                      4398-4402
 PRDAY19                      4403-4407
 PRDAY20                      4408-4412
 PRDAY21                      4413-4417
 PRDAY22                      4418-4422
 PRDAY23                      4423-4427
 PRDAY24                      4428-4432
 PRDAY25                      4433-4437
 PRDAY26                      4438-4442
 PRDAY27                      4443-4447
 PRDAY28                      4448-4452
 PRDAY29                      4453-4457
 PRDAY30                      4458-4462
 PRDAY31                      4463-4467
 PRDAY32                      4468-4472
 PRDAY33                      4473-4477
 PRDAY34                      4478-4482
 PRDAY35                      4483-4487
 PRDAY36                      4488-4492
 PRDAY37                      4493-4497
 PRDAY38                      4498-4502
 PRDAY39                      4503-4507
 PRDAY40                      4508-4512
 PRDAY41                      4513-4517
 PRDAY42                      4518-4522
 PRDAY43                      4523-4527
 PRDAY44                      4528-4532
 PRDAY45                      4533-4537
 PRDAY46                      4538-4542
 PRDAY47                      4543-4547
 PRDAY48                      4548-4552
 PRDAY49                      4553-4557
 PRDAY50                      4558-4562
 PRDAY51                      4563-4567
 PRDAY52                      4568-4572
 PRDAY53                      4573-4577
 PRDAY54                      4578-4582
 PRDAY55                      4583-4587
 PRDAY56                      4588-4592
 PRDAY57                      4593-4597
 PRDAY58                      4598-4602
 PRDAY59                      4603-4607
 PRDAY60                      4608-4612
 PRDAY61                      4613-4617
 PRDAY62                      4618-4622
 PRDAY63                      4623-4627
 PRDAY64                      4628-4632
 PRDAY65                      4633-4637
 PRDAY66                      4638-4642
 PRDAY67                      4643-4647
 PRDAY68                      4648-4652
 PRDAY69                      4653-4657
 PRDAY70                      4658-4662
 PRDAY71                      4663-4667
 PRDAY72                      4668-4672
 PRDAY73                      4673-4677
 PRDAY74                      4678-4682
 PRDAY75                      4683-4687
 PRDAY76                      4688-4692
 PRDAY77                      4693-4697
 PRDAY78                      4698-4702
 PRDAY79                      4703-4707
 PRDAY80                      4708-4712
 PRDAY81                      4713-4717
 PRDAY82                      4718-4722
 PRDAY83                      4723-4727
 PRDAY84                      4728-4732
 PRDAY85                      4733-4737
 PRDAY86                      4738-4742
 PRDAY87                      4743-4747
 PRDAY88                      4748-4752
 PRDAY89                      4753-4757
 PRDAY90                      4758-4762
 PRDAY91                      4763-4767
 PRDAY92                      4768-4772
 PRDAY93                      4773-4777
 PRDAY94                      4778-4782
 PRDAY95                      4783-4787
 PRDAY96                      4788-4792
 PRDAY97                      4793-4797
 PRDAY98                      4798-4802
 PRDAY99                      4803-4807
 PRDAY100                     4808-4812
 PRDAY101                     4813-4817
 PRDAY102                     4818-4822
 PRDAY103                     4823-4827
 PRDAY104                     4828-4832
 PRDAY105                     4833-4837
 PRDAY106                     4838-4842
 PRDAY107                     4843-4847
 PRDAY108                     4848-4852
 PRDAY109                     4853-4857
 PRDAY110                     4858-4862
 PRDAY111                     4863-4867
 PRDAY112                     4868-4872
 PRDAY113                     4873-4877
 PRDAY114                     4878-4882
 PRDAY115                     4883-4887
 PRDAY116                     4888-4892
 PRDAY117                     4893-4897
 PRDAY118                     4898-4902
 PRDAY119                     4903-4907
 PRDAY120                     4908-4912
 PRDAY121                     4913-4917
 PRDAY122                     4918-4922
 PRDAY123                     4923-4927
 PRDAY124                     4928-4932
 PRDAY125                     4933-4937
 PRDAY126                     4938-4942
 PRDAY127                     4943-4947
 PRDAY128                     4948-4952
 PRDAY129                     4953-4957
 PRDAY130                     4958-4962
 PRDAY131                     4963-4967
 PRDAY132                     4968-4972
 PRDAY133                     4973-4977
 PRDAY134                     4978-4982
 PRDAY135                     4983-4987
 PRDAY136                     4988-4992
 PRDAY137                     4993-4997
 PRDAY138                     4998-5002
 PRDAY139                     5003-5007
 PRDAY140                     5008-5012
 PRDAY141                     5013-5017
 PRDAY142                     5018-5022
 PRDAY143                     5023-5027
 PRDAY144                     5028-5032
 PRDAY145                     5033-5037
 PRDAY146                     5038-5042
 PRDAY147                     5043-5047
 PRDAY148                     5048-5052
 PRDAY149                     5053-5057
 PRDAY150                     5058-5062
 PRDAY151                     5063-5067
 PRDAY152                     5068-5072
 PRDAY153                     5073-5077
 PRDAY154                     5078-5082
 PRDAY155                     5083-5087
 PRDAY156                     5088-5092
 PRDAY157                     5093-5097
 PRDAY158                     5098-5102
 PRDAY159                     5103-5107
 PRDAY160                     5108-5112
 PRDAY161                     5113-5117
 PRDAY162                     5118-5122
 PRDAY163                     5123-5127
 PRDAY164                     5128-5132
 PRDAY165                     5133-5137
 PRDAY166                     5138-5142
 PRDAY167                     5143-5147
 PRDAY168                     5148-5152
 PRDAY169                     5153-5157
 PRDAY170                     5158-5162
 PRDAY171                     5163-5167
 PRDAY172                     5168-5172
 PRDAY173                     5173-5177
 PRDAY174                     5178-5182
 PRDAY175                     5183-5187
 PRDAY176                     5188-5192
 PRDAY177                     5193-5197
 PRDAY178                     5198-5202
 PRDAY179                     5203-5207
 PRDAY180                     5208-5212
 PRDAY181                     5213-5217
 PRDAY182                     5218-5222
 PRDAY183                     5223-5227
 PRDAY184                     5228-5232
 PRDAY185                     5233-5237
 PRDAY186                     5238-5242
 PRDAY187                     5243-5247
 PRDAY188                     5248-5252
 PRDAY189                     5253-5257
 PRDAY190                     5258-5262
 PRDAY191                     5263-5267
 PRDAY192                     5268-5272
 PRDAY193                     5273-5277
 PRDAY194                     5278-5282
 PRDAY195                     5283-5287
 PRDAY196                     5288-5292
 PRDAY197                     5293-5297
 PRDAY198                     5298-5302
 PRDAY199                     5303-5307
 PRDAY200                     5308-5312
 PrimLang                     5313-5315 (A)
 PSTATE                       5316-5317 (A)
 PSTATE_GEO                   5318-5319 (A)
 PSTCO                        5320-5324
 PSTCO_GEO                    5325-5329
 RACE                         5330-5331
 RACE_PCT_MISS_HOSP           5332-5338
 RACE_X                       5339     (A)
 TOTCHG                       5340-5349
 TOTCHG_X                     5350-5364
 TRAN_IN                      5365-5366
 TRAN_OUT                     5367-5368
 VisitLink                    5369-5377
 YEAR                         5378-5381
 ZIP                          5382-5386 (A)
 ZIP3                         5387-5389 (A)
 ZIPINC_QRTL                  5390-5392
 HOSPID                       5393-5397
 AYEAR                        5398-5401
 BMONTH                       5402-5403
 BYEAR                        5404-5407
 PRMONTH1                     5408-5409
 PRMONTH2                     5410-5411
 PRMONTH3                     5412-5413
 PRMONTH4                     5414-5415
 PRMONTH5                     5416-5417
 PRMONTH6                     5418-5419
 PRMONTH7                     5420-5421
 PRMONTH8                     5422-5423
 PRMONTH9                     5424-5425
 PRMONTH10                    5426-5427
 PRMONTH11                    5428-5429
 PRMONTH12                    5430-5431
 PRMONTH13                    5432-5433
 PRMONTH14                    5434-5435
 PRMONTH15                    5436-5437
 PRMONTH16                    5438-5439
 PRMONTH17                    5440-5441
 PRMONTH18                    5442-5443
 PRMONTH19                    5444-5445
 PRMONTH20                    5446-5447
 PRMONTH21                    5448-5449
 PRMONTH22                    5450-5451
 PRMONTH23                    5452-5453
 PRMONTH24                    5454-5455
 PRMONTH25                    5456-5457
 PRMONTH26                    5458-5459
 PRMONTH27                    5460-5461
 PRMONTH28                    5462-5463
 PRMONTH29                    5464-5465
 PRMONTH30                    5466-5467
 PRMONTH31                    5468-5469
 PRMONTH32                    5470-5471
 PRMONTH33                    5472-5473
 PRMONTH34                    5474-5475
 PRMONTH35                    5476-5477
 PRMONTH36                    5478-5479
 PRMONTH37                    5480-5481
 PRMONTH38                    5482-5483
 PRMONTH39                    5484-5485
 PRMONTH40                    5486-5487
 PRMONTH41                    5488-5489
 PRMONTH42                    5490-5491
 PRMONTH43                    5492-5493
 PRMONTH44                    5494-5495
 PRMONTH45                    5496-5497
 PRMONTH46                    5498-5499
 PRMONTH47                    5500-5501
 PRMONTH48                    5502-5503
 PRMONTH49                    5504-5505
 PRMONTH50                    5506-5507
 PRMONTH51                    5508-5509
 PRMONTH52                    5510-5511
 PRMONTH53                    5512-5513
 PRMONTH54                    5514-5515
 PRMONTH55                    5516-5517
 PRMONTH56                    5518-5519
 PRMONTH57                    5520-5521
 PRMONTH58                    5522-5523
 PRMONTH59                    5524-5525
 PRMONTH60                    5526-5527
 PRMONTH61                    5528-5529
 PRMONTH62                    5530-5531
 PRMONTH63                    5532-5533
 PRMONTH64                    5534-5535
 PRMONTH65                    5536-5537
 PRMONTH66                    5538-5539
 PRMONTH67                    5540-5541
 PRMONTH68                    5542-5543
 PRMONTH69                    5544-5545
 PRMONTH70                    5546-5547
 PRMONTH71                    5548-5549
 PRMONTH72                    5550-5551
 PRMONTH73                    5552-5553
 PRMONTH74                    5554-5555
 PRMONTH75                    5556-5557
 PRMONTH76                    5558-5559
 PRMONTH77                    5560-5561
 PRMONTH78                    5562-5563
 PRMONTH79                    5564-5565
 PRMONTH80                    5566-5567
 PRMONTH81                    5568-5569
 PRMONTH82                    5570-5571
 PRMONTH83                    5572-5573
 PRMONTH84                    5574-5575
 PRMONTH85                    5576-5577
 PRMONTH86                    5578-5579
 PRMONTH87                    5580-5581
 PRMONTH88                    5582-5583
 PRMONTH89                    5584-5585
 PRMONTH90                    5586-5587
 PRMONTH91                    5588-5589
 PRMONTH92                    5590-5591
 PRMONTH93                    5592-5593
 PRMONTH94                    5594-5595
 PRMONTH95                    5596-5597
 PRMONTH96                    5598-5599
 PRMONTH97                    5600-5601
 PRMONTH98                    5602-5603
 PRMONTH99                    5604-5605
 PRMONTH100                   5606-5607
 PRMONTH101                   5608-5609
 PRMONTH102                   5610-5611
 PRMONTH103                   5612-5613
 PRMONTH104                   5614-5615
 PRMONTH105                   5616-5617
 PRMONTH106                   5618-5619
 PRMONTH107                   5620-5621
 PRMONTH108                   5622-5623
 PRMONTH109                   5624-5625
 PRMONTH110                   5626-5627
 PRMONTH111                   5628-5629
 PRMONTH112                   5630-5631
 PRMONTH113                   5632-5633
 PRMONTH114                   5634-5635
 PRMONTH115                   5636-5637
 PRMONTH116                   5638-5639
 PRMONTH117                   5640-5641
 PRMONTH118                   5642-5643
 PRMONTH119                   5644-5645
 PRMONTH120                   5646-5647
 PRMONTH121                   5648-5649
 PRMONTH122                   5650-5651
 PRMONTH123                   5652-5653
 PRMONTH124                   5654-5655
 PRMONTH125                   5656-5657
 PRMONTH126                   5658-5659
 PRMONTH127                   5660-5661
 PRMONTH128                   5662-5663
 PRMONTH129                   5664-5665
 PRMONTH130                   5666-5667
 PRMONTH131                   5668-5669
 PRMONTH132                   5670-5671
 PRMONTH133                   5672-5673
 PRMONTH134                   5674-5675
 PRMONTH135                   5676-5677
 PRMONTH136                   5678-5679
 PRMONTH137                   5680-5681
 PRMONTH138                   5682-5683
 PRMONTH139                   5684-5685
 PRMONTH140                   5686-5687
 PRMONTH141                   5688-5689
 PRMONTH142                   5690-5691
 PRMONTH143                   5692-5693
 PRMONTH144                   5694-5695
 PRMONTH145                   5696-5697
 PRMONTH146                   5698-5699
 PRMONTH147                   5700-5701
 PRMONTH148                   5702-5703
 PRMONTH149                   5704-5705
 PRMONTH150                   5706-5707
 PRMONTH151                   5708-5709
 PRMONTH152                   5710-5711
 PRMONTH153                   5712-5713
 PRMONTH154                   5714-5715
 PRMONTH155                   5716-5717
 PRMONTH156                   5718-5719
 PRMONTH157                   5720-5721
 PRMONTH158                   5722-5723
 PRMONTH159                   5724-5725
 PRMONTH160                   5726-5727
 PRMONTH161                   5728-5729
 PRMONTH162                   5730-5731
 PRMONTH163                   5732-5733
 PRMONTH164                   5734-5735
 PRMONTH165                   5736-5737
 PRMONTH166                   5738-5739
 PRMONTH167                   5740-5741
 PRMONTH168                   5742-5743
 PRMONTH169                   5744-5745
 PRMONTH170                   5746-5747
 PRMONTH171                   5748-5749
 PRMONTH172                   5750-5751
 PRMONTH173                   5752-5753
 PRMONTH174                   5754-5755
 PRMONTH175                   5756-5757
 PRMONTH176                   5758-5759
 PRMONTH177                   5760-5761
 PRMONTH178                   5762-5763
 PRMONTH179                   5764-5765
 PRMONTH180                   5766-5767
 PRMONTH181                   5768-5769
 PRMONTH182                   5770-5771
 PRMONTH183                   5772-5773
 PRMONTH184                   5774-5775
 PRMONTH185                   5776-5777
 PRMONTH186                   5778-5779
 PRMONTH187                   5780-5781
 PRMONTH188                   5782-5783
 PRMONTH189                   5784-5785
 PRMONTH190                   5786-5787
 PRMONTH191                   5788-5789
 PRMONTH192                   5790-5791
 PRMONTH193                   5792-5793
 PRMONTH194                   5794-5795
 PRMONTH195                   5796-5797
 PRMONTH196                   5798-5799
 PRMONTH197                   5800-5801
 PRMONTH198                   5802-5803
 PRMONTH199                   5804-5805
 PRMONTH200                   5806-5807
 PRYEAR1                      5808-5811
 PRYEAR2                      5812-5815
 PRYEAR3                      5816-5819
 PRYEAR4                      5820-5823
 PRYEAR5                      5824-5827
 PRYEAR6                      5828-5831
 PRYEAR7                      5832-5835
 PRYEAR8                      5836-5839
 PRYEAR9                      5840-5843
 PRYEAR10                     5844-5847
 PRYEAR11                     5848-5851
 PRYEAR12                     5852-5855
 PRYEAR13                     5856-5859
 PRYEAR14                     5860-5863
 PRYEAR15                     5864-5867
 PRYEAR16                     5868-5871
 PRYEAR17                     5872-5875
 PRYEAR18                     5876-5879
 PRYEAR19                     5880-5883
 PRYEAR20                     5884-5887
 PRYEAR21                     5888-5891
 PRYEAR22                     5892-5895
 PRYEAR23                     5896-5899
 PRYEAR24                     5900-5903
 PRYEAR25                     5904-5907
 PRYEAR26                     5908-5911
 PRYEAR27                     5912-5915
 PRYEAR28                     5916-5919
 PRYEAR29                     5920-5923
 PRYEAR30                     5924-5927
 PRYEAR31                     5928-5931
 PRYEAR32                     5932-5935
 PRYEAR33                     5936-5939
 PRYEAR34                     5940-5943
 PRYEAR35                     5944-5947
 PRYEAR36                     5948-5951
 PRYEAR37                     5952-5955
 PRYEAR38                     5956-5959
 PRYEAR39                     5960-5963
 PRYEAR40                     5964-5967
 PRYEAR41                     5968-5971
 PRYEAR42                     5972-5975
 PRYEAR43                     5976-5979
 PRYEAR44                     5980-5983
 PRYEAR45                     5984-5987
 PRYEAR46                     5988-5991
 PRYEAR47                     5992-5995
 PRYEAR48                     5996-5999
 PRYEAR49                     6000-6003
 PRYEAR50                     6004-6007
 PRYEAR51                     6008-6011
 PRYEAR52                     6012-6015
 PRYEAR53                     6016-6019
 PRYEAR54                     6020-6023
 PRYEAR55                     6024-6027
 PRYEAR56                     6028-6031
 PRYEAR57                     6032-6035
 PRYEAR58                     6036-6039
 PRYEAR59                     6040-6043
 PRYEAR60                     6044-6047
 PRYEAR61                     6048-6051
 PRYEAR62                     6052-6055
 PRYEAR63                     6056-6059
 PRYEAR64                     6060-6063
 PRYEAR65                     6064-6067
 PRYEAR66                     6068-6071
 PRYEAR67                     6072-6075
 PRYEAR68                     6076-6079
 PRYEAR69                     6080-6083
 PRYEAR70                     6084-6087
 PRYEAR71                     6088-6091
 PRYEAR72                     6092-6095
 PRYEAR73                     6096-6099
 PRYEAR74                     6100-6103
 PRYEAR75                     6104-6107
 PRYEAR76                     6108-6111
 PRYEAR77                     6112-6115
 PRYEAR78                     6116-6119
 PRYEAR79                     6120-6123
 PRYEAR80                     6124-6127
 PRYEAR81                     6128-6131
 PRYEAR82                     6132-6135
 PRYEAR83                     6136-6139
 PRYEAR84                     6140-6143
 PRYEAR85                     6144-6147
 PRYEAR86                     6148-6151
 PRYEAR87                     6152-6155
 PRYEAR88                     6156-6159
 PRYEAR89                     6160-6163
 PRYEAR90                     6164-6167
 PRYEAR91                     6168-6171
 PRYEAR92                     6172-6175
 PRYEAR93                     6176-6179
 PRYEAR94                     6180-6183
 PRYEAR95                     6184-6187
 PRYEAR96                     6188-6191
 PRYEAR97                     6192-6195
 PRYEAR98                     6196-6199
 PRYEAR99                     6200-6203
 PRYEAR100                    6204-6207
 PRYEAR101                    6208-6211
 PRYEAR102                    6212-6215
 PRYEAR103                    6216-6219
 PRYEAR104                    6220-6223
 PRYEAR105                    6224-6227
 PRYEAR106                    6228-6231
 PRYEAR107                    6232-6235
 PRYEAR108                    6236-6239
 PRYEAR109                    6240-6243
 PRYEAR110                    6244-6247
 PRYEAR111                    6248-6251
 PRYEAR112                    6252-6255
 PRYEAR113                    6256-6259
 PRYEAR114                    6260-6263
 PRYEAR115                    6264-6267
 PRYEAR116                    6268-6271
 PRYEAR117                    6272-6275
 PRYEAR118                    6276-6279
 PRYEAR119                    6280-6283
 PRYEAR120                    6284-6287
 PRYEAR121                    6288-6291
 PRYEAR122                    6292-6295
 PRYEAR123                    6296-6299
 PRYEAR124                    6300-6303
 PRYEAR125                    6304-6307
 PRYEAR126                    6308-6311
 PRYEAR127                    6312-6315
 PRYEAR128                    6316-6319
 PRYEAR129                    6320-6323
 PRYEAR130                    6324-6327
 PRYEAR131                    6328-6331
 PRYEAR132                    6332-6335
 PRYEAR133                    6336-6339
 PRYEAR134                    6340-6343
 PRYEAR135                    6344-6347
 PRYEAR136                    6348-6351
 PRYEAR137                    6352-6355
 PRYEAR138                    6356-6359
 PRYEAR139                    6360-6363
 PRYEAR140                    6364-6367
 PRYEAR141                    6368-6371
 PRYEAR142                    6372-6375
 PRYEAR143                    6376-6379
 PRYEAR144                    6380-6383
 PRYEAR145                    6384-6387
 PRYEAR146                    6388-6391
 PRYEAR147                    6392-6395
 PRYEAR148                    6396-6399
 PRYEAR149                    6400-6403
 PRYEAR150                    6404-6407
 PRYEAR151                    6408-6411
 PRYEAR152                    6412-6415
 PRYEAR153                    6416-6419
 PRYEAR154                    6420-6423
 PRYEAR155                    6424-6427
 PRYEAR156                    6428-6431
 PRYEAR157                    6432-6435
 PRYEAR158                    6436-6439
 PRYEAR159                    6440-6443
 PRYEAR160                    6444-6447
 PRYEAR161                    6448-6451
 PRYEAR162                    6452-6455
 PRYEAR163                    6456-6459
 PRYEAR164                    6460-6463
 PRYEAR165                    6464-6467
 PRYEAR166                    6468-6471
 PRYEAR167                    6472-6475
 PRYEAR168                    6476-6479
 PRYEAR169                    6480-6483
 PRYEAR170                    6484-6487
 PRYEAR171                    6488-6491
 PRYEAR172                    6492-6495
 PRYEAR173                    6496-6499
 PRYEAR174                    6500-6503
 PRYEAR175                    6504-6507
 PRYEAR176                    6508-6511
 PRYEAR177                    6512-6515
 PRYEAR178                    6516-6519
 PRYEAR179                    6520-6523
 PRYEAR180                    6524-6527
 PRYEAR181                    6528-6531
 PRYEAR182                    6532-6535
 PRYEAR183                    6536-6539
 PRYEAR184                    6540-6543
 PRYEAR185                    6544-6547
 PRYEAR186                    6548-6551
 PRYEAR187                    6552-6555
 PRYEAR188                    6556-6559
 PRYEAR189                    6560-6563
 PRYEAR190                    6564-6567
 PRYEAR191                    6568-6571
 PRYEAR192                    6572-6575
 PRYEAR193                    6576-6579
 PRYEAR194                    6580-6583
 PRYEAR195                    6584-6587
 PRYEAR196                    6588-6591
 PRYEAR197                    6592-6595
 PRYEAR198                    6596-6599
 PRYEAR199                    6600-6603
 PRYEAR200                    6604-6607.


/***  Specify write formats  ***/
FORMATS
 AGE                          (F3.0) /
 AGEDAY                       (F3.0) /
 AGEMONTH                     (F3.0) /
 AHOUR                        (F3.0) /
 AMONTH                       (F3.0) /
 ATYPE                        (F3.0) /
 AWEEKEND                     (F3.0) /
 BWT                          (F4.0) /
 CPTCCS1                      (F4.0) /
 CPTCCS2                      (F4.0) /
 CPTCCS3                      (F4.0) /
 CPTCCS4                      (F4.0) /
 CPTCCS5                      (F4.0) /
 CPTCCS6                      (F4.0) /
 CPTCCS7                      (F4.0) /
 CPTCCS8                      (F4.0) /
 CPTCCS9                      (F4.0) /
 CPTCCS10                     (F4.0) /
 CPTCCS11                     (F4.0) /
 CPTCCS12                     (F4.0) /
 CPTCCS13                     (F4.0) /
 CPTCCS14                     (F4.0) /
 CPTCCS15                     (F4.0) /
 CPTCCS16                     (F4.0) /
 CPTCCS17                     (F4.0) /
 CPTCCS18                     (F4.0) /
 CPTCCS19                     (F4.0) /
 CPTCCS20                     (F4.0) /
 CPTCCS21                     (F4.0) /
 CPTCCS22                     (F4.0) /
 CPTCCS23                     (F4.0) /
 CPTCCS24                     (F4.0) /
 CPTCCS25                     (F4.0) /
 CPTCCS26                     (F4.0) /
 CPTCCS27                     (F4.0) /
 CPTCCS28                     (F4.0) /
 CPTCCS29                     (F4.0) /
 CPTCCS30                     (F4.0) /
 CPTCCS31                     (F4.0) /
 CPTCCS32                     (F4.0) /
 CPTCCS33                     (F4.0) /
 CPTCCS34                     (F4.0) /
 CPTCCS35                     (F4.0) /
 CPTCCS36                     (F4.0) /
 CPTCCS37                     (F4.0) /
 CPTCCS38                     (F4.0) /
 CPTCCS39                     (F4.0) /
 CPTCCS40                     (F4.0) /
 CPTCCS41                     (F4.0) /
 CPTCCS42                     (F4.0) /
 CPTCCS43                     (F4.0) /
 CPTCCS44                     (F4.0) /
 CPTCCS45                     (F4.0) /
 CPTCCS46                     (F4.0) /
 CPTCCS47                     (F4.0) /
 CPTCCS48                     (F4.0) /
 CPTCCS49                     (F4.0) /
 CPTCCS50                     (F4.0) /
 CPTCCS51                     (F4.0) /
 CPTCCS52                     (F4.0) /
 CPTCCS53                     (F4.0) /
 CPTCCS54                     (F4.0) /
 CPTCCS55                     (F4.0) /
 CPTCCS56                     (F4.0) /
 CPTCCS57                     (F4.0) /
 CPTCCS58                     (F4.0) /
 CPTCCS59                     (F4.0) /
 CPTCCS60                     (F4.0) /
 CPTCCS61                     (F4.0) /
 CPTCCS62                     (F4.0) /
 CPTCCS63                     (F4.0) /
 CPTCCS64                     (F4.0) /
 CPTCCS65                     (F4.0) /
 CPTCCS66                     (F4.0) /
 CPTCCS67                     (F4.0) /
 CPTCCS68                     (F4.0) /
 CPTCCS69                     (F4.0) /
 CPTCCS70                     (F4.0) /
 CPTCCS71                     (F4.0) /
 CPTCCS72                     (F4.0) /
 CPTCCS73                     (F4.0) /
 CPTCCS74                     (F4.0) /
 CPTCCS75                     (F4.0) /
 CPTCCS76                     (F4.0) /
 CPTCCS77                     (F4.0) /
 CPTCCS78                     (F4.0) /
 CPTCCS79                     (F4.0) /
 CPTCCS80                     (F4.0) /
 CPTCCS81                     (F4.0) /
 CPTCCS82                     (F4.0) /
 CPTCCS83                     (F4.0) /
 CPTCCS84                     (F4.0) /
 CPTCCS85                     (F4.0) /
 CPTCCS86                     (F4.0) /
 CPTCCS87                     (F4.0) /
 CPTCCS88                     (F4.0) /
 CPTCCS89                     (F4.0) /
 CPTCCS90                     (F4.0) /
 CPTCCS91                     (F4.0) /
 CPTCCS92                     (F4.0) /
 CPTCCS93                     (F4.0) /
 CPTCCS94                     (F4.0) /
 CPTCCS95                     (F4.0) /
 CPTCCS96                     (F4.0) /
 CPTCCS97                     (F4.0) /
 CPTCCS98                     (F4.0) /
 CPTCCS99                     (F4.0) /
 CPTCCS100                    (F4.0) /
 CPTCCS101                    (F4.0) /
 CPTCCS102                    (F4.0) /
 CPTCCS103                    (F4.0) /
 CPTCCS104                    (F4.0) /
 CPTCCS105                    (F4.0) /
 CPTCCS106                    (F4.0) /
 CPTCCS107                    (F4.0) /
 CPTCCS108                    (F4.0) /
 CPTCCS109                    (F4.0) /
 CPTCCS110                    (F4.0) /
 CPTCCS111                    (F4.0) /
 CPTCCS112                    (F4.0) /
 CPTCCS113                    (F4.0) /
 CPTCCS114                    (F4.0) /
 CPTCCS115                    (F4.0) /
 CPTCCS116                    (F4.0) /
 CPTCCS117                    (F4.0) /
 CPTCCS118                    (F4.0) /
 CPTCCS119                    (F4.0) /
 CPTCCS120                    (F4.0) /
 CPTCCS121                    (F4.0) /
 CPTCCS122                    (F4.0) /
 CPTCCS123                    (F4.0) /
 CPTCCS124                    (F4.0) /
 CPTCCS125                    (F4.0) /
 CPTCCS126                    (F4.0) /
 CPTCCS127                    (F4.0) /
 CPTCCS128                    (F4.0) /
 CPTCCS129                    (F4.0) /
 CPTCCS130                    (F4.0) /
 CPTCCS131                    (F4.0) /
 CPTCCS132                    (F4.0) /
 CPTCCS133                    (F4.0) /
 CPTCCS134                    (F4.0) /
 CPTCCS135                    (F4.0) /
 CPTCCS136                    (F4.0) /
 CPTCCS137                    (F4.0) /
 CPTCCS138                    (F4.0) /
 CPTCCS139                    (F4.0) /
 CPTCCS140                    (F4.0) /
 CPTCCS141                    (F4.0) /
 CPTCCS142                    (F4.0) /
 CPTCCS143                    (F4.0) /
 CPTCCS144                    (F4.0) /
 CPTCCS145                    (F4.0) /
 CPTCCS146                    (F4.0) /
 CPTCCS147                    (F4.0) /
 CPTCCS148                    (F4.0) /
 CPTCCS149                    (F4.0) /
 CPTCCS150                    (F4.0) /
 CPTCCS151                    (F4.0) /
 CPTCCS152                    (F4.0) /
 CPTCCS153                    (F4.0) /
 CPTCCS154                    (F4.0) /
 CPTCCS155                    (F4.0) /
 CPTCCS156                    (F4.0) /
 CPTCCS157                    (F4.0) /
 CPTCCS158                    (F4.0) /
 CPTCCS159                    (F4.0) /
 CPTCCS160                    (F4.0) /
 CPTCCS161                    (F4.0) /
 CPTCCS162                    (F4.0) /
 CPTCCS163                    (F4.0) /
 CPTCCS164                    (F4.0) /
 CPTCCS165                    (F4.0) /
 CPTCCS166                    (F4.0) /
 CPTCCS167                    (F4.0) /
 CPTCCS168                    (F4.0) /
 CPTCCS169                    (F4.0) /
 CPTCCS170                    (F4.0) /
 CPTCCS171                    (F4.0) /
 CPTCCS172                    (F4.0) /
 CPTCCS173                    (F4.0) /
 CPTCCS174                    (F4.0) /
 CPTCCS175                    (F4.0) /
 CPTCCS176                    (F4.0) /
 CPTCCS177                    (F4.0) /
 CPTCCS178                    (F4.0) /
 CPTCCS179                    (F4.0) /
 CPTCCS180                    (F4.0) /
 CPTCCS181                    (F4.0) /
 CPTCCS182                    (F4.0) /
 CPTCCS183                    (F4.0) /
 CPTCCS184                    (F4.0) /
 CPTCCS185                    (F4.0) /
 CPTCCS186                    (F4.0) /
 CPTCCS187                    (F4.0) /
 CPTCCS188                    (F4.0) /
 CPTCCS189                    (F4.0) /
 CPTCCS190                    (F4.0) /
 CPTCCS191                    (F4.0) /
 CPTCCS192                    (F4.0) /
 CPTCCS193                    (F4.0) /
 CPTCCS194                    (F4.0) /
 CPTCCS195                    (F4.0) /
 CPTCCS196                    (F4.0) /
 CPTCCS197                    (F4.0) /
 CPTCCS198                    (F4.0) /
 CPTCCS199                    (F4.0) /
 CPTCCS200                    (F4.0) /
 DaysToEvent                  (F8.0) /
 DHOUR                        (F3.0) /
 DIED                         (F3.0) /
 DISPUB04                     (F3.0) /
 DISPUNIFORM                  (F3.0) /
 DMONTH                       (F3.0) /
 DQTR                         (F3.0) /
 DRG                          (F3.0) /
 DRG_NoPOA                    (F3.0) /
 DRGVER                       (F3.0) /
 FEMALE                       (F3.0) /
 HCUP_ED                      (F3.0) /
 HCUP_OS                      (F3.0) /
 HISPANIC                     (F3.0) /
 Homeless                     (F3.0) /
 I10_BIRTH                    (F3.0) /
 I10_DELIVERY                 (F3.0) /
 I10_NDX                      (F3.0) /
 I10_NPR                      (F3.0) /
 I10_PROCTYPE                 (F3.0) /
 I10_SERVICELINE              (F3.0) /
 KEY                          (F8.0) /
 LOS                          (F4.0) /
 LOS_X                        (F4.0) /
 MDC                          (F3.0) /
 MDC_NoPOA                    (F3.0) /
 MDNUM1_R                     (F5.0) /
 MDNUM2_R                     (F5.0) /
 MDNUM3_R                     (F5.0) /
 MDNUM4_R                     (F5.0) /
 MEDINCSTQ                    (F3.0) /
 NCPT                         (F3.0) /
 OS_TIME                      (F4.2) /
 PAY1                         (F3.0) /
 PAY2                         (F3.0) /
 PAY3                         (F3.0) /
 PCLASS_ORPROC                (F3.0) /
 PL_CBSA                      (F3.0) /
 PL_NCHS                      (F3.0) /
 PL_RUCC                      (F3.0) /
 PL_UIC                       (F3.0) /
 PL_UR_CAT4                   (F3.0) /
 POA_Disch_Edit1              (F3.0) /
 POA_Disch_Edit2              (F3.0) /
 POA_Hosp_Edit1               (F3.0) /
 POA_Hosp_Edit2               (F3.0) /
 POA_Hosp_Edit3               (F3.0) /
 POA_Hosp_Edit3_Value         (F8.2) /
 PRDAY1                       (F4.0) /
 PRDAY2                       (F4.0) /
 PRDAY3                       (F4.0) /
 PRDAY4                       (F4.0) /
 PRDAY5                       (F4.0) /
 PRDAY6                       (F4.0) /
 PRDAY7                       (F4.0) /
 PRDAY8                       (F4.0) /
 PRDAY9                       (F4.0) /
 PRDAY10                      (F4.0) /
 PRDAY11                      (F4.0) /
 PRDAY12                      (F4.0) /
 PRDAY13                      (F4.0) /
 PRDAY14                      (F4.0) /
 PRDAY15                      (F4.0) /
 PRDAY16                      (F4.0) /
 PRDAY17                      (F4.0) /
 PRDAY18                      (F4.0) /
 PRDAY19                      (F4.0) /
 PRDAY20                      (F4.0) /
 PRDAY21                      (F4.0) /
 PRDAY22                      (F4.0) /
 PRDAY23                      (F4.0) /
 PRDAY24                      (F4.0) /
 PRDAY25                      (F4.0) /
 PRDAY26                      (F4.0) /
 PRDAY27                      (F4.0) /
 PRDAY28                      (F4.0) /
 PRDAY29                      (F4.0) /
 PRDAY30                      (F4.0) /
 PRDAY31                      (F4.0) /
 PRDAY32                      (F4.0) /
 PRDAY33                      (F4.0) /
 PRDAY34                      (F4.0) /
 PRDAY35                      (F4.0) /
 PRDAY36                      (F4.0) /
 PRDAY37                      (F4.0) /
 PRDAY38                      (F4.0) /
 PRDAY39                      (F4.0) /
 PRDAY40                      (F4.0) /
 PRDAY41                      (F4.0) /
 PRDAY42                      (F4.0) /
 PRDAY43                      (F4.0) /
 PRDAY44                      (F4.0) /
 PRDAY45                      (F4.0) /
 PRDAY46                      (F4.0) /
 PRDAY47                      (F4.0) /
 PRDAY48                      (F4.0) /
 PRDAY49                      (F4.0) /
 PRDAY50                      (F4.0) /
 PRDAY51                      (F4.0) /
 PRDAY52                      (F4.0) /
 PRDAY53                      (F4.0) /
 PRDAY54                      (F4.0) /
 PRDAY55                      (F4.0) /
 PRDAY56                      (F4.0) /
 PRDAY57                      (F4.0) /
 PRDAY58                      (F4.0) /
 PRDAY59                      (F4.0) /
 PRDAY60                      (F4.0) /
 PRDAY61                      (F4.0) /
 PRDAY62                      (F4.0) /
 PRDAY63                      (F4.0) /
 PRDAY64                      (F4.0) /
 PRDAY65                      (F4.0) /
 PRDAY66                      (F4.0) /
 PRDAY67                      (F4.0) /
 PRDAY68                      (F4.0) /
 PRDAY69                      (F4.0) /
 PRDAY70                      (F4.0) /
 PRDAY71                      (F4.0) /
 PRDAY72                      (F4.0) /
 PRDAY73                      (F4.0) /
 PRDAY74                      (F4.0) /
 PRDAY75                      (F4.0) /
 PRDAY76                      (F4.0) /
 PRDAY77                      (F4.0) /
 PRDAY78                      (F4.0) /
 PRDAY79                      (F4.0) /
 PRDAY80                      (F4.0) /
 PRDAY81                      (F4.0) /
 PRDAY82                      (F4.0) /
 PRDAY83                      (F4.0) /
 PRDAY84                      (F4.0) /
 PRDAY85                      (F4.0) /
 PRDAY86                      (F4.0) /
 PRDAY87                      (F4.0) /
 PRDAY88                      (F4.0) /
 PRDAY89                      (F4.0) /
 PRDAY90                      (F4.0) /
 PRDAY91                      (F4.0) /
 PRDAY92                      (F4.0) /
 PRDAY93                      (F4.0) /
 PRDAY94                      (F4.0) /
 PRDAY95                      (F4.0) /
 PRDAY96                      (F4.0) /
 PRDAY97                      (F4.0) /
 PRDAY98                      (F4.0) /
 PRDAY99                      (F4.0) /
 PRDAY100                     (F4.0) /
 PRDAY101                     (F4.0) /
 PRDAY102                     (F4.0) /
 PRDAY103                     (F4.0) /
 PRDAY104                     (F4.0) /
 PRDAY105                     (F4.0) /
 PRDAY106                     (F4.0) /
 PRDAY107                     (F4.0) /
 PRDAY108                     (F4.0) /
 PRDAY109                     (F4.0) /
 PRDAY110                     (F4.0) /
 PRDAY111                     (F4.0) /
 PRDAY112                     (F4.0) /
 PRDAY113                     (F4.0) /
 PRDAY114                     (F4.0) /
 PRDAY115                     (F4.0) /
 PRDAY116                     (F4.0) /
 PRDAY117                     (F4.0) /
 PRDAY118                     (F4.0) /
 PRDAY119                     (F4.0) /
 PRDAY120                     (F4.0) /
 PRDAY121                     (F4.0) /
 PRDAY122                     (F4.0) /
 PRDAY123                     (F4.0) /
 PRDAY124                     (F4.0) /
 PRDAY125                     (F4.0) /
 PRDAY126                     (F4.0) /
 PRDAY127                     (F4.0) /
 PRDAY128                     (F4.0) /
 PRDAY129                     (F4.0) /
 PRDAY130                     (F4.0) /
 PRDAY131                     (F4.0) /
 PRDAY132                     (F4.0) /
 PRDAY133                     (F4.0) /
 PRDAY134                     (F4.0) /
 PRDAY135                     (F4.0) /
 PRDAY136                     (F4.0) /
 PRDAY137                     (F4.0) /
 PRDAY138                     (F4.0) /
 PRDAY139                     (F4.0) /
 PRDAY140                     (F4.0) /
 PRDAY141                     (F4.0) /
 PRDAY142                     (F4.0) /
 PRDAY143                     (F4.0) /
 PRDAY144                     (F4.0) /
 PRDAY145                     (F4.0) /
 PRDAY146                     (F4.0) /
 PRDAY147                     (F4.0) /
 PRDAY148                     (F4.0) /
 PRDAY149                     (F4.0) /
 PRDAY150                     (F4.0) /
 PRDAY151                     (F4.0) /
 PRDAY152                     (F4.0) /
 PRDAY153                     (F4.0) /
 PRDAY154                     (F4.0) /
 PRDAY155                     (F4.0) /
 PRDAY156                     (F4.0) /
 PRDAY157                     (F4.0) /
 PRDAY158                     (F4.0) /
 PRDAY159                     (F4.0) /
 PRDAY160                     (F4.0) /
 PRDAY161                     (F4.0) /
 PRDAY162                     (F4.0) /
 PRDAY163                     (F4.0) /
 PRDAY164                     (F4.0) /
 PRDAY165                     (F4.0) /
 PRDAY166                     (F4.0) /
 PRDAY167                     (F4.0) /
 PRDAY168                     (F4.0) /
 PRDAY169                     (F4.0) /
 PRDAY170                     (F4.0) /
 PRDAY171                     (F4.0) /
 PRDAY172                     (F4.0) /
 PRDAY173                     (F4.0) /
 PRDAY174                     (F4.0) /
 PRDAY175                     (F4.0) /
 PRDAY176                     (F4.0) /
 PRDAY177                     (F4.0) /
 PRDAY178                     (F4.0) /
 PRDAY179                     (F4.0) /
 PRDAY180                     (F4.0) /
 PRDAY181                     (F4.0) /
 PRDAY182                     (F4.0) /
 PRDAY183                     (F4.0) /
 PRDAY184                     (F4.0) /
 PRDAY185                     (F4.0) /
 PRDAY186                     (F4.0) /
 PRDAY187                     (F4.0) /
 PRDAY188                     (F4.0) /
 PRDAY189                     (F4.0) /
 PRDAY190                     (F4.0) /
 PRDAY191                     (F4.0) /
 PRDAY192                     (F4.0) /
 PRDAY193                     (F4.0) /
 PRDAY194                     (F4.0) /
 PRDAY195                     (F4.0) /
 PRDAY196                     (F4.0) /
 PRDAY197                     (F4.0) /
 PRDAY198                     (F4.0) /
 PRDAY199                     (F4.0) /
 PRDAY200                     (F4.0) /
 PSTCO                        (F4.0) /
 PSTCO_GEO                    (F4.0) /
 RACE                         (F3.0) /
 RACE_PCT_MISS_HOSP           (F4.2) /
 TOTCHG                       (F6.0) /
 TOTCHG_X                     (F7.2) /
 TRAN_IN                      (F3.0) /
 TRAN_OUT                     (F3.0) /
 VisitLink                    (F8.0) /
 YEAR                         (F3.0) /
 ZIPINC_QRTL                  (F3.0) /
 HOSPID                       (F4.0) /
 AYEAR                        (F3.0) /
 BMONTH                       (F3.0) /
 BYEAR                        (F3.0) /
 PRMONTH1                     (F3.0) /
 PRMONTH2                     (F3.0) /
 PRMONTH3                     (F3.0) /
 PRMONTH4                     (F3.0) /
 PRMONTH5                     (F3.0) /
 PRMONTH6                     (F3.0) /
 PRMONTH7                     (F3.0) /
 PRMONTH8                     (F3.0) /
 PRMONTH9                     (F3.0) /
 PRMONTH10                    (F3.0) /
 PRMONTH11                    (F3.0) /
 PRMONTH12                    (F3.0) /
 PRMONTH13                    (F3.0) /
 PRMONTH14                    (F3.0) /
 PRMONTH15                    (F3.0) /
 PRMONTH16                    (F3.0) /
 PRMONTH17                    (F3.0) /
 PRMONTH18                    (F3.0) /
 PRMONTH19                    (F3.0) /
 PRMONTH20                    (F3.0) /
 PRMONTH21                    (F3.0) /
 PRMONTH22                    (F3.0) /
 PRMONTH23                    (F3.0) /
 PRMONTH24                    (F3.0) /
 PRMONTH25                    (F3.0) /
 PRMONTH26                    (F3.0) /
 PRMONTH27                    (F3.0) /
 PRMONTH28                    (F3.0) /
 PRMONTH29                    (F3.0) /
 PRMONTH30                    (F3.0) /
 PRMONTH31                    (F3.0) /
 PRMONTH32                    (F3.0) /
 PRMONTH33                    (F3.0) /
 PRMONTH34                    (F3.0) /
 PRMONTH35                    (F3.0) /
 PRMONTH36                    (F3.0) /
 PRMONTH37                    (F3.0) /
 PRMONTH38                    (F3.0) /
 PRMONTH39                    (F3.0) /
 PRMONTH40                    (F3.0) /
 PRMONTH41                    (F3.0) /
 PRMONTH42                    (F3.0) /
 PRMONTH43                    (F3.0) /
 PRMONTH44                    (F3.0) /
 PRMONTH45                    (F3.0) /
 PRMONTH46                    (F3.0) /
 PRMONTH47                    (F3.0) /
 PRMONTH48                    (F3.0) /
 PRMONTH49                    (F3.0) /
 PRMONTH50                    (F3.0) /
 PRMONTH51                    (F3.0) /
 PRMONTH52                    (F3.0) /
 PRMONTH53                    (F3.0) /
 PRMONTH54                    (F3.0) /
 PRMONTH55                    (F3.0) /
 PRMONTH56                    (F3.0) /
 PRMONTH57                    (F3.0) /
 PRMONTH58                    (F3.0) /
 PRMONTH59                    (F3.0) /
 PRMONTH60                    (F3.0) /
 PRMONTH61                    (F3.0) /
 PRMONTH62                    (F3.0) /
 PRMONTH63                    (F3.0) /
 PRMONTH64                    (F3.0) /
 PRMONTH65                    (F3.0) /
 PRMONTH66                    (F3.0) /
 PRMONTH67                    (F3.0) /
 PRMONTH68                    (F3.0) /
 PRMONTH69                    (F3.0) /
 PRMONTH70                    (F3.0) /
 PRMONTH71                    (F3.0) /
 PRMONTH72                    (F3.0) /
 PRMONTH73                    (F3.0) /
 PRMONTH74                    (F3.0) /
 PRMONTH75                    (F3.0) /
 PRMONTH76                    (F3.0) /
 PRMONTH77                    (F3.0) /
 PRMONTH78                    (F3.0) /
 PRMONTH79                    (F3.0) /
 PRMONTH80                    (F3.0) /
 PRMONTH81                    (F3.0) /
 PRMONTH82                    (F3.0) /
 PRMONTH83                    (F3.0) /
 PRMONTH84                    (F3.0) /
 PRMONTH85                    (F3.0) /
 PRMONTH86                    (F3.0) /
 PRMONTH87                    (F3.0) /
 PRMONTH88                    (F3.0) /
 PRMONTH89                    (F3.0) /
 PRMONTH90                    (F3.0) /
 PRMONTH91                    (F3.0) /
 PRMONTH92                    (F3.0) /
 PRMONTH93                    (F3.0) /
 PRMONTH94                    (F3.0) /
 PRMONTH95                    (F3.0) /
 PRMONTH96                    (F3.0) /
 PRMONTH97                    (F3.0) /
 PRMONTH98                    (F3.0) /
 PRMONTH99                    (F3.0) /
 PRMONTH100                   (F3.0) /
 PRMONTH101                   (F3.0) /
 PRMONTH102                   (F3.0) /
 PRMONTH103                   (F3.0) /
 PRMONTH104                   (F3.0) /
 PRMONTH105                   (F3.0) /
 PRMONTH106                   (F3.0) /
 PRMONTH107                   (F3.0) /
 PRMONTH108                   (F3.0) /
 PRMONTH109                   (F3.0) /
 PRMONTH110                   (F3.0) /
 PRMONTH111                   (F3.0) /
 PRMONTH112                   (F3.0) /
 PRMONTH113                   (F3.0) /
 PRMONTH114                   (F3.0) /
 PRMONTH115                   (F3.0) /
 PRMONTH116                   (F3.0) /
 PRMONTH117                   (F3.0) /
 PRMONTH118                   (F3.0) /
 PRMONTH119                   (F3.0) /
 PRMONTH120                   (F3.0) /
 PRMONTH121                   (F3.0) /
 PRMONTH122                   (F3.0) /
 PRMONTH123                   (F3.0) /
 PRMONTH124                   (F3.0) /
 PRMONTH125                   (F3.0) /
 PRMONTH126                   (F3.0) /
 PRMONTH127                   (F3.0) /
 PRMONTH128                   (F3.0) /
 PRMONTH129                   (F3.0) /
 PRMONTH130                   (F3.0) /
 PRMONTH131                   (F3.0) /
 PRMONTH132                   (F3.0) /
 PRMONTH133                   (F3.0) /
 PRMONTH134                   (F3.0) /
 PRMONTH135                   (F3.0) /
 PRMONTH136                   (F3.0) /
 PRMONTH137                   (F3.0) /
 PRMONTH138                   (F3.0) /
 PRMONTH139                   (F3.0) /
 PRMONTH140                   (F3.0) /
 PRMONTH141                   (F3.0) /
 PRMONTH142                   (F3.0) /
 PRMONTH143                   (F3.0) /
 PRMONTH144                   (F3.0) /
 PRMONTH145                   (F3.0) /
 PRMONTH146                   (F3.0) /
 PRMONTH147                   (F3.0) /
 PRMONTH148                   (F3.0) /
 PRMONTH149                   (F3.0) /
 PRMONTH150                   (F3.0) /
 PRMONTH151                   (F3.0) /
 PRMONTH152                   (F3.0) /
 PRMONTH153                   (F3.0) /
 PRMONTH154                   (F3.0) /
 PRMONTH155                   (F3.0) /
 PRMONTH156                   (F3.0) /
 PRMONTH157                   (F3.0) /
 PRMONTH158                   (F3.0) /
 PRMONTH159                   (F3.0) /
 PRMONTH160                   (F3.0) /
 PRMONTH161                   (F3.0) /
 PRMONTH162                   (F3.0) /
 PRMONTH163                   (F3.0) /
 PRMONTH164                   (F3.0) /
 PRMONTH165                   (F3.0) /
 PRMONTH166                   (F3.0) /
 PRMONTH167                   (F3.0) /
 PRMONTH168                   (F3.0) /
 PRMONTH169                   (F3.0) /
 PRMONTH170                   (F3.0) /
 PRMONTH171                   (F3.0) /
 PRMONTH172                   (F3.0) /
 PRMONTH173                   (F3.0) /
 PRMONTH174                   (F3.0) /
 PRMONTH175                   (F3.0) /
 PRMONTH176                   (F3.0) /
 PRMONTH177                   (F3.0) /
 PRMONTH178                   (F3.0) /
 PRMONTH179                   (F3.0) /
 PRMONTH180                   (F3.0) /
 PRMONTH181                   (F3.0) /
 PRMONTH182                   (F3.0) /
 PRMONTH183                   (F3.0) /
 PRMONTH184                   (F3.0) /
 PRMONTH185                   (F3.0) /
 PRMONTH186                   (F3.0) /
 PRMONTH187                   (F3.0) /
 PRMONTH188                   (F3.0) /
 PRMONTH189                   (F3.0) /
 PRMONTH190                   (F3.0) /
 PRMONTH191                   (F3.0) /
 PRMONTH192                   (F3.0) /
 PRMONTH193                   (F3.0) /
 PRMONTH194                   (F3.0) /
 PRMONTH195                   (F3.0) /
 PRMONTH196                   (F3.0) /
 PRMONTH197                   (F3.0) /
 PRMONTH198                   (F3.0) /
 PRMONTH199                   (F3.0) /
 PRMONTH200                   (F3.0) /
 PRYEAR1                      (F3.0) /
 PRYEAR2                      (F3.0) /
 PRYEAR3                      (F3.0) /
 PRYEAR4                      (F3.0) /
 PRYEAR5                      (F3.0) /
 PRYEAR6                      (F3.0) /
 PRYEAR7                      (F3.0) /
 PRYEAR8                      (F3.0) /
 PRYEAR9                      (F3.0) /
 PRYEAR10                     (F3.0) /
 PRYEAR11                     (F3.0) /
 PRYEAR12                     (F3.0) /
 PRYEAR13                     (F3.0) /
 PRYEAR14                     (F3.0) /
 PRYEAR15                     (F3.0) /
 PRYEAR16                     (F3.0) /
 PRYEAR17                     (F3.0) /
 PRYEAR18                     (F3.0) /
 PRYEAR19                     (F3.0) /
 PRYEAR20                     (F3.0) /
 PRYEAR21                     (F3.0) /
 PRYEAR22                     (F3.0) /
 PRYEAR23                     (F3.0) /
 PRYEAR24                     (F3.0) /
 PRYEAR25                     (F3.0) /
 PRYEAR26                     (F3.0) /
 PRYEAR27                     (F3.0) /
 PRYEAR28                     (F3.0) /
 PRYEAR29                     (F3.0) /
 PRYEAR30                     (F3.0) /
 PRYEAR31                     (F3.0) /
 PRYEAR32                     (F3.0) /
 PRYEAR33                     (F3.0) /
 PRYEAR34                     (F3.0) /
 PRYEAR35                     (F3.0) /
 PRYEAR36                     (F3.0) /
 PRYEAR37                     (F3.0) /
 PRYEAR38                     (F3.0) /
 PRYEAR39                     (F3.0) /
 PRYEAR40                     (F3.0) /
 PRYEAR41                     (F3.0) /
 PRYEAR42                     (F3.0) /
 PRYEAR43                     (F3.0) /
 PRYEAR44                     (F3.0) /
 PRYEAR45                     (F3.0) /
 PRYEAR46                     (F3.0) /
 PRYEAR47                     (F3.0) /
 PRYEAR48                     (F3.0) /
 PRYEAR49                     (F3.0) /
 PRYEAR50                     (F3.0) /
 PRYEAR51                     (F3.0) /
 PRYEAR52                     (F3.0) /
 PRYEAR53                     (F3.0) /
 PRYEAR54                     (F3.0) /
 PRYEAR55                     (F3.0) /
 PRYEAR56                     (F3.0) /
 PRYEAR57                     (F3.0) /
 PRYEAR58                     (F3.0) /
 PRYEAR59                     (F3.0) /
 PRYEAR60                     (F3.0) /
 PRYEAR61                     (F3.0) /
 PRYEAR62                     (F3.0) /
 PRYEAR63                     (F3.0) /
 PRYEAR64                     (F3.0) /
 PRYEAR65                     (F3.0) /
 PRYEAR66                     (F3.0) /
 PRYEAR67                     (F3.0) /
 PRYEAR68                     (F3.0) /
 PRYEAR69                     (F3.0) /
 PRYEAR70                     (F3.0) /
 PRYEAR71                     (F3.0) /
 PRYEAR72                     (F3.0) /
 PRYEAR73                     (F3.0) /
 PRYEAR74                     (F3.0) /
 PRYEAR75                     (F3.0) /
 PRYEAR76                     (F3.0) /
 PRYEAR77                     (F3.0) /
 PRYEAR78                     (F3.0) /
 PRYEAR79                     (F3.0) /
 PRYEAR80                     (F3.0) /
 PRYEAR81                     (F3.0) /
 PRYEAR82                     (F3.0) /
 PRYEAR83                     (F3.0) /
 PRYEAR84                     (F3.0) /
 PRYEAR85                     (F3.0) /
 PRYEAR86                     (F3.0) /
 PRYEAR87                     (F3.0) /
 PRYEAR88                     (F3.0) /
 PRYEAR89                     (F3.0) /
 PRYEAR90                     (F3.0) /
 PRYEAR91                     (F3.0) /
 PRYEAR92                     (F3.0) /
 PRYEAR93                     (F3.0) /
 PRYEAR94                     (F3.0) /
 PRYEAR95                     (F3.0) /
 PRYEAR96                     (F3.0) /
 PRYEAR97                     (F3.0) /
 PRYEAR98                     (F3.0) /
 PRYEAR99                     (F3.0) /
 PRYEAR100                    (F3.0) /
 PRYEAR101                    (F3.0) /
 PRYEAR102                    (F3.0) /
 PRYEAR103                    (F3.0) /
 PRYEAR104                    (F3.0) /
 PRYEAR105                    (F3.0) /
 PRYEAR106                    (F3.0) /
 PRYEAR107                    (F3.0) /
 PRYEAR108                    (F3.0) /
 PRYEAR109                    (F3.0) /
 PRYEAR110                    (F3.0) /
 PRYEAR111                    (F3.0) /
 PRYEAR112                    (F3.0) /
 PRYEAR113                    (F3.0) /
 PRYEAR114                    (F3.0) /
 PRYEAR115                    (F3.0) /
 PRYEAR116                    (F3.0) /
 PRYEAR117                    (F3.0) /
 PRYEAR118                    (F3.0) /
 PRYEAR119                    (F3.0) /
 PRYEAR120                    (F3.0) /
 PRYEAR121                    (F3.0) /
 PRYEAR122                    (F3.0) /
 PRYEAR123                    (F3.0) /
 PRYEAR124                    (F3.0) /
 PRYEAR125                    (F3.0) /
 PRYEAR126                    (F3.0) /
 PRYEAR127                    (F3.0) /
 PRYEAR128                    (F3.0) /
 PRYEAR129                    (F3.0) /
 PRYEAR130                    (F3.0) /
 PRYEAR131                    (F3.0) /
 PRYEAR132                    (F3.0) /
 PRYEAR133                    (F3.0) /
 PRYEAR134                    (F3.0) /
 PRYEAR135                    (F3.0) /
 PRYEAR136                    (F3.0) /
 PRYEAR137                    (F3.0) /
 PRYEAR138                    (F3.0) /
 PRYEAR139                    (F3.0) /
 PRYEAR140                    (F3.0) /
 PRYEAR141                    (F3.0) /
 PRYEAR142                    (F3.0) /
 PRYEAR143                    (F3.0) /
 PRYEAR144                    (F3.0) /
 PRYEAR145                    (F3.0) /
 PRYEAR146                    (F3.0) /
 PRYEAR147                    (F3.0) /
 PRYEAR148                    (F3.0) /
 PRYEAR149                    (F3.0) /
 PRYEAR150                    (F3.0) /
 PRYEAR151                    (F3.0) /
 PRYEAR152                    (F3.0) /
 PRYEAR153                    (F3.0) /
 PRYEAR154                    (F3.0) /
 PRYEAR155                    (F3.0) /
 PRYEAR156                    (F3.0) /
 PRYEAR157                    (F3.0) /
 PRYEAR158                    (F3.0) /
 PRYEAR159                    (F3.0) /
 PRYEAR160                    (F3.0) /
 PRYEAR161                    (F3.0) /
 PRYEAR162                    (F3.0) /
 PRYEAR163                    (F3.0) /
 PRYEAR164                    (F3.0) /
 PRYEAR165                    (F3.0) /
 PRYEAR166                    (F3.0) /
 PRYEAR167                    (F3.0) /
 PRYEAR168                    (F3.0) /
 PRYEAR169                    (F3.0) /
 PRYEAR170                    (F3.0) /
 PRYEAR171                    (F3.0) /
 PRYEAR172                    (F3.0) /
 PRYEAR173                    (F3.0) /
 PRYEAR174                    (F3.0) /
 PRYEAR175                    (F3.0) /
 PRYEAR176                    (F3.0) /
 PRYEAR177                    (F3.0) /
 PRYEAR178                    (F3.0) /
 PRYEAR179                    (F3.0) /
 PRYEAR180                    (F3.0) /
 PRYEAR181                    (F3.0) /
 PRYEAR182                    (F3.0) /
 PRYEAR183                    (F3.0) /
 PRYEAR184                    (F3.0) /
 PRYEAR185                    (F3.0) /
 PRYEAR186                    (F3.0) /
 PRYEAR187                    (F3.0) /
 PRYEAR188                    (F3.0) /
 PRYEAR189                    (F3.0) /
 PRYEAR190                    (F3.0) /
 PRYEAR191                    (F3.0) /
 PRYEAR192                    (F3.0) /
 PRYEAR193                    (F3.0) /
 PRYEAR194                    (F3.0) /
 PRYEAR195                    (F3.0) /
 PRYEAR196                    (F3.0) /
 PRYEAR197                    (F3.0) /
 PRYEAR198                    (F3.0) /
 PRYEAR199                    (F3.0) /
 PRYEAR200                    (F3.0) .


/***  Assign labels to the variables ***/
VARIABLE LABELS 
 AGE                          "Age in years at admission"
 AGEDAY                       "Age in days (when age < 1 year)"
 AGEMONTH                     "Age in months (when age < 11 years)"
 AHOUR                        "Admission Hour"
 AMONTH                       "Admission month"
 ATYPE                        "Admission type"
 AWEEKEND                     "Admission day is a weekend"
 BILLTYPE                     "Type of bill, UB-04 coding"
 BWT                          "Birth weight in grams"
 CPT1                         "CPT/HCPCS procedure code 1"
 CPT2                         "CPT/HCPCS procedure code 2"
 CPT3                         "CPT/HCPCS procedure code 3"
 CPT4                         "CPT/HCPCS procedure code 4"
 CPT5                         "CPT/HCPCS procedure code 5"
 CPT6                         "CPT/HCPCS procedure code 6"
 CPT7                         "CPT/HCPCS procedure code 7"
 CPT8                         "CPT/HCPCS procedure code 8"
 CPT9                         "CPT/HCPCS procedure code 9"
 CPT10                        "CPT/HCPCS procedure code 10"
 CPT11                        "CPT/HCPCS procedure code 11"
 CPT12                        "CPT/HCPCS procedure code 12"
 CPT13                        "CPT/HCPCS procedure code 13"
 CPT14                        "CPT/HCPCS procedure code 14"
 CPT15                        "CPT/HCPCS procedure code 15"
 CPT16                        "CPT/HCPCS procedure code 16"
 CPT17                        "CPT/HCPCS procedure code 17"
 CPT18                        "CPT/HCPCS procedure code 18"
 CPT19                        "CPT/HCPCS procedure code 19"
 CPT20                        "CPT/HCPCS procedure code 20"
 CPT21                        "CPT/HCPCS procedure code 21"
 CPT22                        "CPT/HCPCS procedure code 22"
 CPT23                        "CPT/HCPCS procedure code 23"
 CPT24                        "CPT/HCPCS procedure code 24"
 CPT25                        "CPT/HCPCS procedure code 25"
 CPT26                        "CPT/HCPCS procedure code 26"
 CPT27                        "CPT/HCPCS procedure code 27"
 CPT28                        "CPT/HCPCS procedure code 28"
 CPT29                        "CPT/HCPCS procedure code 29"
 CPT30                        "CPT/HCPCS procedure code 30"
 CPT31                        "CPT/HCPCS procedure code 31"
 CPT32                        "CPT/HCPCS procedure code 32"
 CPT33                        "CPT/HCPCS procedure code 33"
 CPT34                        "CPT/HCPCS procedure code 34"
 CPT35                        "CPT/HCPCS procedure code 35"
 CPT36                        "CPT/HCPCS procedure code 36"
 CPT37                        "CPT/HCPCS procedure code 37"
 CPT38                        "CPT/HCPCS procedure code 38"
 CPT39                        "CPT/HCPCS procedure code 39"
 CPT40                        "CPT/HCPCS procedure code 40"
 CPT41                        "CPT/HCPCS procedure code 41"
 CPT42                        "CPT/HCPCS procedure code 42"
 CPT43                        "CPT/HCPCS procedure code 43"
 CPT44                        "CPT/HCPCS procedure code 44"
 CPT45                        "CPT/HCPCS procedure code 45"
 CPT46                        "CPT/HCPCS procedure code 46"
 CPT47                        "CPT/HCPCS procedure code 47"
 CPT48                        "CPT/HCPCS procedure code 48"
 CPT49                        "CPT/HCPCS procedure code 49"
 CPT50                        "CPT/HCPCS procedure code 50"
 CPT51                        "CPT/HCPCS procedure code 51"
 CPT52                        "CPT/HCPCS procedure code 52"
 CPT53                        "CPT/HCPCS procedure code 53"
 CPT54                        "CPT/HCPCS procedure code 54"
 CPT55                        "CPT/HCPCS procedure code 55"
 CPT56                        "CPT/HCPCS procedure code 56"
 CPT57                        "CPT/HCPCS procedure code 57"
 CPT58                        "CPT/HCPCS procedure code 58"
 CPT59                        "CPT/HCPCS procedure code 59"
 CPT60                        "CPT/HCPCS procedure code 60"
 CPT61                        "CPT/HCPCS procedure code 61"
 CPT62                        "CPT/HCPCS procedure code 62"
 CPT63                        "CPT/HCPCS procedure code 63"
 CPT64                        "CPT/HCPCS procedure code 64"
 CPT65                        "CPT/HCPCS procedure code 65"
 CPT66                        "CPT/HCPCS procedure code 66"
 CPT67                        "CPT/HCPCS procedure code 67"
 CPT68                        "CPT/HCPCS procedure code 68"
 CPT69                        "CPT/HCPCS procedure code 69"
 CPT70                        "CPT/HCPCS procedure code 70"
 CPT71                        "CPT/HCPCS procedure code 71"
 CPT72                        "CPT/HCPCS procedure code 72"
 CPT73                        "CPT/HCPCS procedure code 73"
 CPT74                        "CPT/HCPCS procedure code 74"
 CPT75                        "CPT/HCPCS procedure code 75"
 CPT76                        "CPT/HCPCS procedure code 76"
 CPT77                        "CPT/HCPCS procedure code 77"
 CPT78                        "CPT/HCPCS procedure code 78"
 CPT79                        "CPT/HCPCS procedure code 79"
 CPT80                        "CPT/HCPCS procedure code 80"
 CPT81                        "CPT/HCPCS procedure code 81"
 CPT82                        "CPT/HCPCS procedure code 82"
 CPT83                        "CPT/HCPCS procedure code 83"
 CPT84                        "CPT/HCPCS procedure code 84"
 CPT85                        "CPT/HCPCS procedure code 85"
 CPT86                        "CPT/HCPCS procedure code 86"
 CPT87                        "CPT/HCPCS procedure code 87"
 CPT88                        "CPT/HCPCS procedure code 88"
 CPT89                        "CPT/HCPCS procedure code 89"
 CPT90                        "CPT/HCPCS procedure code 90"
 CPT91                        "CPT/HCPCS procedure code 91"
 CPT92                        "CPT/HCPCS procedure code 92"
 CPT93                        "CPT/HCPCS procedure code 93"
 CPT94                        "CPT/HCPCS procedure code 94"
 CPT95                        "CPT/HCPCS procedure code 95"
 CPT96                        "CPT/HCPCS procedure code 96"
 CPT97                        "CPT/HCPCS procedure code 97"
 CPT98                        "CPT/HCPCS procedure code 98"
 CPT99                        "CPT/HCPCS procedure code 99"
 CPT100                       "CPT/HCPCS procedure code 100"
 CPT101                       "CPT/HCPCS procedure code 101"
 CPT102                       "CPT/HCPCS procedure code 102"
 CPT103                       "CPT/HCPCS procedure code 103"
 CPT104                       "CPT/HCPCS procedure code 104"
 CPT105                       "CPT/HCPCS procedure code 105"
 CPT106                       "CPT/HCPCS procedure code 106"
 CPT107                       "CPT/HCPCS procedure code 107"
 CPT108                       "CPT/HCPCS procedure code 108"
 CPT109                       "CPT/HCPCS procedure code 109"
 CPT110                       "CPT/HCPCS procedure code 110"
 CPT111                       "CPT/HCPCS procedure code 111"
 CPT112                       "CPT/HCPCS procedure code 112"
 CPT113                       "CPT/HCPCS procedure code 113"
 CPT114                       "CPT/HCPCS procedure code 114"
 CPT115                       "CPT/HCPCS procedure code 115"
 CPT116                       "CPT/HCPCS procedure code 116"
 CPT117                       "CPT/HCPCS procedure code 117"
 CPT118                       "CPT/HCPCS procedure code 118"
 CPT119                       "CPT/HCPCS procedure code 119"
 CPT120                       "CPT/HCPCS procedure code 120"
 CPT121                       "CPT/HCPCS procedure code 121"
 CPT122                       "CPT/HCPCS procedure code 122"
 CPT123                       "CPT/HCPCS procedure code 123"
 CPT124                       "CPT/HCPCS procedure code 124"
 CPT125                       "CPT/HCPCS procedure code 125"
 CPT126                       "CPT/HCPCS procedure code 126"
 CPT127                       "CPT/HCPCS procedure code 127"
 CPT128                       "CPT/HCPCS procedure code 128"
 CPT129                       "CPT/HCPCS procedure code 129"
 CPT130                       "CPT/HCPCS procedure code 130"
 CPT131                       "CPT/HCPCS procedure code 131"
 CPT132                       "CPT/HCPCS procedure code 132"
 CPT133                       "CPT/HCPCS procedure code 133"
 CPT134                       "CPT/HCPCS procedure code 134"
 CPT135                       "CPT/HCPCS procedure code 135"
 CPT136                       "CPT/HCPCS procedure code 136"
 CPT137                       "CPT/HCPCS procedure code 137"
 CPT138                       "CPT/HCPCS procedure code 138"
 CPT139                       "CPT/HCPCS procedure code 139"
 CPT140                       "CPT/HCPCS procedure code 140"
 CPT141                       "CPT/HCPCS procedure code 141"
 CPT142                       "CPT/HCPCS procedure code 142"
 CPT143                       "CPT/HCPCS procedure code 143"
 CPT144                       "CPT/HCPCS procedure code 144"
 CPT145                       "CPT/HCPCS procedure code 145"
 CPT146                       "CPT/HCPCS procedure code 146"
 CPT147                       "CPT/HCPCS procedure code 147"
 CPT148                       "CPT/HCPCS procedure code 148"
 CPT149                       "CPT/HCPCS procedure code 149"
 CPT150                       "CPT/HCPCS procedure code 150"
 CPT151                       "CPT/HCPCS procedure code 151"
 CPT152                       "CPT/HCPCS procedure code 152"
 CPT153                       "CPT/HCPCS procedure code 153"
 CPT154                       "CPT/HCPCS procedure code 154"
 CPT155                       "CPT/HCPCS procedure code 155"
 CPT156                       "CPT/HCPCS procedure code 156"
 CPT157                       "CPT/HCPCS procedure code 157"
 CPT158                       "CPT/HCPCS procedure code 158"
 CPT159                       "CPT/HCPCS procedure code 159"
 CPT160                       "CPT/HCPCS procedure code 160"
 CPT161                       "CPT/HCPCS procedure code 161"
 CPT162                       "CPT/HCPCS procedure code 162"
 CPT163                       "CPT/HCPCS procedure code 163"
 CPT164                       "CPT/HCPCS procedure code 164"
 CPT165                       "CPT/HCPCS procedure code 165"
 CPT166                       "CPT/HCPCS procedure code 166"
 CPT167                       "CPT/HCPCS procedure code 167"
 CPT168                       "CPT/HCPCS procedure code 168"
 CPT169                       "CPT/HCPCS procedure code 169"
 CPT170                       "CPT/HCPCS procedure code 170"
 CPT171                       "CPT/HCPCS procedure code 171"
 CPT172                       "CPT/HCPCS procedure code 172"
 CPT173                       "CPT/HCPCS procedure code 173"
 CPT174                       "CPT/HCPCS procedure code 174"
 CPT175                       "CPT/HCPCS procedure code 175"
 CPT176                       "CPT/HCPCS procedure code 176"
 CPT177                       "CPT/HCPCS procedure code 177"
 CPT178                       "CPT/HCPCS procedure code 178"
 CPT179                       "CPT/HCPCS procedure code 179"
 CPT180                       "CPT/HCPCS procedure code 180"
 CPT181                       "CPT/HCPCS procedure code 181"
 CPT182                       "CPT/HCPCS procedure code 182"
 CPT183                       "CPT/HCPCS procedure code 183"
 CPT184                       "CPT/HCPCS procedure code 184"
 CPT185                       "CPT/HCPCS procedure code 185"
 CPT186                       "CPT/HCPCS procedure code 186"
 CPT187                       "CPT/HCPCS procedure code 187"
 CPT188                       "CPT/HCPCS procedure code 188"
 CPT189                       "CPT/HCPCS procedure code 189"
 CPT190                       "CPT/HCPCS procedure code 190"
 CPT191                       "CPT/HCPCS procedure code 191"
 CPT192                       "CPT/HCPCS procedure code 192"
 CPT193                       "CPT/HCPCS procedure code 193"
 CPT194                       "CPT/HCPCS procedure code 194"
 CPT195                       "CPT/HCPCS procedure code 195"
 CPT196                       "CPT/HCPCS procedure code 196"
 CPT197                       "CPT/HCPCS procedure code 197"
 CPT198                       "CPT/HCPCS procedure code 198"
 CPT199                       "CPT/HCPCS procedure code 199"
 CPT200                       "CPT/HCPCS procedure code 200"
 CPTCCS1                      "CCS: CPT 1"
 CPTCCS2                      "CCS: CPT 2"
 CPTCCS3                      "CCS: CPT 3"
 CPTCCS4                      "CCS: CPT 4"
 CPTCCS5                      "CCS: CPT 5"
 CPTCCS6                      "CCS: CPT 6"
 CPTCCS7                      "CCS: CPT 7"
 CPTCCS8                      "CCS: CPT 8"
 CPTCCS9                      "CCS: CPT 9"
 CPTCCS10                     "CCS: CPT 10"
 CPTCCS11                     "CCS: CPT 11"
 CPTCCS12                     "CCS: CPT 12"
 CPTCCS13                     "CCS: CPT 13"
 CPTCCS14                     "CCS: CPT 14"
 CPTCCS15                     "CCS: CPT 15"
 CPTCCS16                     "CCS: CPT 16"
 CPTCCS17                     "CCS: CPT 17"
 CPTCCS18                     "CCS: CPT 18"
 CPTCCS19                     "CCS: CPT 19"
 CPTCCS20                     "CCS: CPT 20"
 CPTCCS21                     "CCS: CPT 21"
 CPTCCS22                     "CCS: CPT 22"
 CPTCCS23                     "CCS: CPT 23"
 CPTCCS24                     "CCS: CPT 24"
 CPTCCS25                     "CCS: CPT 25"
 CPTCCS26                     "CCS: CPT 26"
 CPTCCS27                     "CCS: CPT 27"
 CPTCCS28                     "CCS: CPT 28"
 CPTCCS29                     "CCS: CPT 29"
 CPTCCS30                     "CCS: CPT 30"
 CPTCCS31                     "CCS: CPT 31"
 CPTCCS32                     "CCS: CPT 32"
 CPTCCS33                     "CCS: CPT 33"
 CPTCCS34                     "CCS: CPT 34"
 CPTCCS35                     "CCS: CPT 35"
 CPTCCS36                     "CCS: CPT 36"
 CPTCCS37                     "CCS: CPT 37"
 CPTCCS38                     "CCS: CPT 38"
 CPTCCS39                     "CCS: CPT 39"
 CPTCCS40                     "CCS: CPT 40"
 CPTCCS41                     "CCS: CPT 41"
 CPTCCS42                     "CCS: CPT 42"
 CPTCCS43                     "CCS: CPT 43"
 CPTCCS44                     "CCS: CPT 44"
 CPTCCS45                     "CCS: CPT 45"
 CPTCCS46                     "CCS: CPT 46"
 CPTCCS47                     "CCS: CPT 47"
 CPTCCS48                     "CCS: CPT 48"
 CPTCCS49                     "CCS: CPT 49"
 CPTCCS50                     "CCS: CPT 50"
 CPTCCS51                     "CCS: CPT 51"
 CPTCCS52                     "CCS: CPT 52"
 CPTCCS53                     "CCS: CPT 53"
 CPTCCS54                     "CCS: CPT 54"
 CPTCCS55                     "CCS: CPT 55"
 CPTCCS56                     "CCS: CPT 56"
 CPTCCS57                     "CCS: CPT 57"
 CPTCCS58                     "CCS: CPT 58"
 CPTCCS59                     "CCS: CPT 59"
 CPTCCS60                     "CCS: CPT 60"
 CPTCCS61                     "CCS: CPT 61"
 CPTCCS62                     "CCS: CPT 62"
 CPTCCS63                     "CCS: CPT 63"
 CPTCCS64                     "CCS: CPT 64"
 CPTCCS65                     "CCS: CPT 65"
 CPTCCS66                     "CCS: CPT 66"
 CPTCCS67                     "CCS: CPT 67"
 CPTCCS68                     "CCS: CPT 68"
 CPTCCS69                     "CCS: CPT 69"
 CPTCCS70                     "CCS: CPT 70"
 CPTCCS71                     "CCS: CPT 71"
 CPTCCS72                     "CCS: CPT 72"
 CPTCCS73                     "CCS: CPT 73"
 CPTCCS74                     "CCS: CPT 74"
 CPTCCS75                     "CCS: CPT 75"
 CPTCCS76                     "CCS: CPT 76"
 CPTCCS77                     "CCS: CPT 77"
 CPTCCS78                     "CCS: CPT 78"
 CPTCCS79                     "CCS: CPT 79"
 CPTCCS80                     "CCS: CPT 80"
 CPTCCS81                     "CCS: CPT 81"
 CPTCCS82                     "CCS: CPT 82"
 CPTCCS83                     "CCS: CPT 83"
 CPTCCS84                     "CCS: CPT 84"
 CPTCCS85                     "CCS: CPT 85"
 CPTCCS86                     "CCS: CPT 86"
 CPTCCS87                     "CCS: CPT 87"
 CPTCCS88                     "CCS: CPT 88"
 CPTCCS89                     "CCS: CPT 89"
 CPTCCS90                     "CCS: CPT 90"
 CPTCCS91                     "CCS: CPT 91"
 CPTCCS92                     "CCS: CPT 92"
 CPTCCS93                     "CCS: CPT 93"
 CPTCCS94                     "CCS: CPT 94"
 CPTCCS95                     "CCS: CPT 95"
 CPTCCS96                     "CCS: CPT 96"
 CPTCCS97                     "CCS: CPT 97"
 CPTCCS98                     "CCS: CPT 98"
 CPTCCS99                     "CCS: CPT 99"
 CPTCCS100                    "CCS: CPT 100"
 CPTCCS101                    "CCS: CPT 101"
 CPTCCS102                    "CCS: CPT 102"
 CPTCCS103                    "CCS: CPT 103"
 CPTCCS104                    "CCS: CPT 104"
 CPTCCS105                    "CCS: CPT 105"
 CPTCCS106                    "CCS: CPT 106"
 CPTCCS107                    "CCS: CPT 107"
 CPTCCS108                    "CCS: CPT 108"
 CPTCCS109                    "CCS: CPT 109"
 CPTCCS110                    "CCS: CPT 110"
 CPTCCS111                    "CCS: CPT 111"
 CPTCCS112                    "CCS: CPT 112"
 CPTCCS113                    "CCS: CPT 113"
 CPTCCS114                    "CCS: CPT 114"
 CPTCCS115                    "CCS: CPT 115"
 CPTCCS116                    "CCS: CPT 116"
 CPTCCS117                    "CCS: CPT 117"
 CPTCCS118                    "CCS: CPT 118"
 CPTCCS119                    "CCS: CPT 119"
 CPTCCS120                    "CCS: CPT 120"
 CPTCCS121                    "CCS: CPT 121"
 CPTCCS122                    "CCS: CPT 122"
 CPTCCS123                    "CCS: CPT 123"
 CPTCCS124                    "CCS: CPT 124"
 CPTCCS125                    "CCS: CPT 125"
 CPTCCS126                    "CCS: CPT 126"
 CPTCCS127                    "CCS: CPT 127"
 CPTCCS128                    "CCS: CPT 128"
 CPTCCS129                    "CCS: CPT 129"
 CPTCCS130                    "CCS: CPT 130"
 CPTCCS131                    "CCS: CPT 131"
 CPTCCS132                    "CCS: CPT 132"
 CPTCCS133                    "CCS: CPT 133"
 CPTCCS134                    "CCS: CPT 134"
 CPTCCS135                    "CCS: CPT 135"
 CPTCCS136                    "CCS: CPT 136"
 CPTCCS137                    "CCS: CPT 137"
 CPTCCS138                    "CCS: CPT 138"
 CPTCCS139                    "CCS: CPT 139"
 CPTCCS140                    "CCS: CPT 140"
 CPTCCS141                    "CCS: CPT 141"
 CPTCCS142                    "CCS: CPT 142"
 CPTCCS143                    "CCS: CPT 143"
 CPTCCS144                    "CCS: CPT 144"
 CPTCCS145                    "CCS: CPT 145"
 CPTCCS146                    "CCS: CPT 146"
 CPTCCS147                    "CCS: CPT 147"
 CPTCCS148                    "CCS: CPT 148"
 CPTCCS149                    "CCS: CPT 149"
 CPTCCS150                    "CCS: CPT 150"
 CPTCCS151                    "CCS: CPT 151"
 CPTCCS152                    "CCS: CPT 152"
 CPTCCS153                    "CCS: CPT 153"
 CPTCCS154                    "CCS: CPT 154"
 CPTCCS155                    "CCS: CPT 155"
 CPTCCS156                    "CCS: CPT 156"
 CPTCCS157                    "CCS: CPT 157"
 CPTCCS158                    "CCS: CPT 158"
 CPTCCS159                    "CCS: CPT 159"
 CPTCCS160                    "CCS: CPT 160"
 CPTCCS161                    "CCS: CPT 161"
 CPTCCS162                    "CCS: CPT 162"
 CPTCCS163                    "CCS: CPT 163"
 CPTCCS164                    "CCS: CPT 164"
 CPTCCS165                    "CCS: CPT 165"
 CPTCCS166                    "CCS: CPT 166"
 CPTCCS167                    "CCS: CPT 167"
 CPTCCS168                    "CCS: CPT 168"
 CPTCCS169                    "CCS: CPT 169"
 CPTCCS170                    "CCS: CPT 170"
 CPTCCS171                    "CCS: CPT 171"
 CPTCCS172                    "CCS: CPT 172"
 CPTCCS173                    "CCS: CPT 173"
 CPTCCS174                    "CCS: CPT 174"
 CPTCCS175                    "CCS: CPT 175"
 CPTCCS176                    "CCS: CPT 176"
 CPTCCS177                    "CCS: CPT 177"
 CPTCCS178                    "CCS: CPT 178"
 CPTCCS179                    "CCS: CPT 179"
 CPTCCS180                    "CCS: CPT 180"
 CPTCCS181                    "CCS: CPT 181"
 CPTCCS182                    "CCS: CPT 182"
 CPTCCS183                    "CCS: CPT 183"
 CPTCCS184                    "CCS: CPT 184"
 CPTCCS185                    "CCS: CPT 185"
 CPTCCS186                    "CCS: CPT 186"
 CPTCCS187                    "CCS: CPT 187"
 CPTCCS188                    "CCS: CPT 188"
 CPTCCS189                    "CCS: CPT 189"
 CPTCCS190                    "CCS: CPT 190"
 CPTCCS191                    "CCS: CPT 191"
 CPTCCS192                    "CCS: CPT 192"
 CPTCCS193                    "CCS: CPT 193"
 CPTCCS194                    "CCS: CPT 194"
 CPTCCS195                    "CCS: CPT 195"
 CPTCCS196                    "CCS: CPT 196"
 CPTCCS197                    "CCS: CPT 197"
 CPTCCS198                    "CCS: CPT 198"
 CPTCCS199                    "CCS: CPT 199"
 CPTCCS200                    "CCS: CPT 200"
 DaysToEvent                  "Days from 'start date' to admission"
 DHOUR                        "Discharge Hour"
 DIED                         "Died during hospitalization"
 DISP_X                       "Disposition of patient (as received from source)"
 DISPUB04                     "Disposition of patient (UB-04 standard coding)"
 DISPUNIFORM                  "Disposition of patient (uniform)"
 DMONTH                       "Discharge month"
 DQTR                         "Discharge quarter"
 DRG                          "DRG in effect on discharge date"
 DRG_NoPOA                    "DRG in use on discharge date, calculated without POA"
 DRGVER                       "DRG grouper version used on discharge date"
 DXPOA1                       "Diagnosis 1, present on admission indicator"
 DXPOA2                       "Diagnosis 2, present on admission indicator"
 DXPOA3                       "Diagnosis 3, present on admission indicator"
 DXPOA4                       "Diagnosis 4, present on admission indicator"
 DXPOA5                       "Diagnosis 5, present on admission indicator"
 DXPOA6                       "Diagnosis 6, present on admission indicator"
 DXPOA7                       "Diagnosis 7, present on admission indicator"
 DXPOA8                       "Diagnosis 8, present on admission indicator"
 DXPOA9                       "Diagnosis 9, present on admission indicator"
 DXPOA10                      "Diagnosis 10, present on admission indicator"
 DXPOA11                      "Diagnosis 11, present on admission indicator"
 DXPOA12                      "Diagnosis 12, present on admission indicator"
 DXPOA13                      "Diagnosis 13, present on admission indicator"
 DXPOA14                      "Diagnosis 14, present on admission indicator"
 DXPOA15                      "Diagnosis 15, present on admission indicator"
 DXPOA16                      "Diagnosis 16, present on admission indicator"
 DXPOA17                      "Diagnosis 17, present on admission indicator"
 DXPOA18                      "Diagnosis 18, present on admission indicator"
 DXPOA19                      "Diagnosis 19, present on admission indicator"
 DXPOA20                      "Diagnosis 20, present on admission indicator"
 DXPOA21                      "Diagnosis 21, present on admission indicator"
 DXPOA22                      "Diagnosis 22, present on admission indicator"
 DXPOA23                      "Diagnosis 23, present on admission indicator"
 DXPOA24                      "Diagnosis 24, present on admission indicator"
 DXPOA25                      "Diagnosis 25, present on admission indicator"
 DXPOA26                      "Diagnosis 26, present on admission indicator"
 DXPOA27                      "Diagnosis 27, present on admission indicator"
 DXPOA28                      "Diagnosis 28, present on admission indicator"
 DXPOA29                      "Diagnosis 29, present on admission indicator"
 DXPOA30                      "Diagnosis 30, present on admission indicator"
 DXPOA31                      "Diagnosis 31, present on admission indicator"
 DXPOA32                      "Diagnosis 32, present on admission indicator"
 DXPOA33                      "Diagnosis 33, present on admission indicator"
 DXPOA34                      "Diagnosis 34, present on admission indicator"
 DXPOA35                      "Diagnosis 35, present on admission indicator"
 DXPOA36                      "Diagnosis 36, present on admission indicator"
 DXPOA37                      "Diagnosis 37, present on admission indicator"
 DXPOA38                      "Diagnosis 38, present on admission indicator"
 DXPOA39                      "Diagnosis 39, present on admission indicator"
 DXPOA40                      "Diagnosis 40, present on admission indicator"
 DXPOA41                      "Diagnosis 41, present on admission indicator"
 DXPOA42                      "Diagnosis 42, present on admission indicator"
 DXPOA43                      "Diagnosis 43, present on admission indicator"
 DXPOA44                      "Diagnosis 44, present on admission indicator"
 DXPOA45                      "Diagnosis 45, present on admission indicator"
 DXPOA46                      "Diagnosis 46, present on admission indicator"
 DXPOA47                      "Diagnosis 47, present on admission indicator"
 DXPOA48                      "Diagnosis 48, present on admission indicator"
 DXPOA49                      "Diagnosis 49, present on admission indicator"
 DXPOA50                      "Diagnosis 50, present on admission indicator"
 DXPOA51                      "Diagnosis 51, present on admission indicator"
 DXPOA52                      "Diagnosis 52, present on admission indicator"
 DXPOA53                      "Diagnosis 53, present on admission indicator"
 DXPOA54                      "Diagnosis 54, present on admission indicator"
 DXPOA55                      "Diagnosis 55, present on admission indicator"
 DXPOA56                      "Diagnosis 56, present on admission indicator"
 DXPOA57                      "Diagnosis 57, present on admission indicator"
 DXPOA58                      "Diagnosis 58, present on admission indicator"
 DXPOA59                      "Diagnosis 59, present on admission indicator"
 DXPOA60                      "Diagnosis 60, present on admission indicator"
 DXPOA61                      "Diagnosis 61, present on admission indicator"
 DXPOA62                      "Diagnosis 62, present on admission indicator"
 DXPOA63                      "Diagnosis 63, present on admission indicator"
 DXPOA64                      "Diagnosis 64, present on admission indicator"
 DXPOA65                      "Diagnosis 65, present on admission indicator"
 DXPOA66                      "Diagnosis 66, present on admission indicator"
 DXPOA67                      "Diagnosis 67, present on admission indicator"
 DXPOA68                      "Diagnosis 68, present on admission indicator"
 DXPOA69                      "Diagnosis 69, present on admission indicator"
 DXPOA70                      "Diagnosis 70, present on admission indicator"
 DXPOA71                      "Diagnosis 71, present on admission indicator"
 DXPOA72                      "Diagnosis 72, present on admission indicator"
 DXPOA73                      "Diagnosis 73, present on admission indicator"
 DXPOA74                      "Diagnosis 74, present on admission indicator"
 DXPOA75                      "Diagnosis 75, present on admission indicator"
 DXPOA76                      "Diagnosis 76, present on admission indicator"
 DXPOA77                      "Diagnosis 77, present on admission indicator"
 DXPOA78                      "Diagnosis 78, present on admission indicator"
 DXPOA79                      "Diagnosis 79, present on admission indicator"
 DXPOA80                      "Diagnosis 80, present on admission indicator"
 DXPOA81                      "Diagnosis 81, present on admission indicator"
 DXPOA82                      "Diagnosis 82, present on admission indicator"
 DXPOA83                      "Diagnosis 83, present on admission indicator"
 DXPOA84                      "Diagnosis 84, present on admission indicator"
 DXPOA85                      "Diagnosis 85, present on admission indicator"
 DXPOA86                      "Diagnosis 86, present on admission indicator"
 DXPOA87                      "Diagnosis 87, present on admission indicator"
 DXPOA88                      "Diagnosis 88, present on admission indicator"
 DXPOA89                      "Diagnosis 89, present on admission indicator"
 DXPOA90                      "Diagnosis 90, present on admission indicator"
 DXPOA91                      "Diagnosis 91, present on admission indicator"
 DXPOA92                      "Diagnosis 92, present on admission indicator"
 DXPOA93                      "Diagnosis 93, present on admission indicator"
 DXPOA94                      "Diagnosis 94, present on admission indicator"
 DXPOA95                      "Diagnosis 95, present on admission indicator"
 DXPOA96                      "Diagnosis 96, present on admission indicator"
 DXPOA97                      "Diagnosis 97, present on admission indicator"
 DXPOA98                      "Diagnosis 98, present on admission indicator"
 DXPOA99                      "Diagnosis 99, present on admission indicator"
 DXPOA100                     "Diagnosis 100, present on admission indicator"
 DXPOA101                     "Diagnosis 101, present on admission indicator"
 DXPOA102                     "Diagnosis 102, present on admission indicator"
 DXPOA103                     "Diagnosis 103, present on admission indicator"
 DXPOA104                     "Diagnosis 104, present on admission indicator"
 DXPOA105                     "Diagnosis 105, present on admission indicator"
 DXPOA106                     "Diagnosis 106, present on admission indicator"
 DXPOA107                     "Diagnosis 107, present on admission indicator"
 DXPOA108                     "Diagnosis 108, present on admission indicator"
 DXPOA109                     "Diagnosis 109, present on admission indicator"
 DXPOA110                     "Diagnosis 110, present on admission indicator"
 DXPOA111                     "Diagnosis 111, present on admission indicator"
 DXPOA112                     "Diagnosis 112, present on admission indicator"
 DXPOA113                     "Diagnosis 113, present on admission indicator"
 DXPOA114                     "Diagnosis 114, present on admission indicator"
 DXPOA115                     "Diagnosis 115, present on admission indicator"
 DXPOA116                     "Diagnosis 116, present on admission indicator"
 DXPOA117                     "Diagnosis 117, present on admission indicator"
 DXPOA118                     "Diagnosis 118, present on admission indicator"
 DXPOA119                     "Diagnosis 119, present on admission indicator"
 DXPOA120                     "Diagnosis 120, present on admission indicator"
 DXPOA121                     "Diagnosis 121, present on admission indicator"
 DXPOA122                     "Diagnosis 122, present on admission indicator"
 DXPOA123                     "Diagnosis 123, present on admission indicator"
 DXPOA124                     "Diagnosis 124, present on admission indicator"
 DXPOA125                     "Diagnosis 125, present on admission indicator"
 DXPOA126                     "Diagnosis 126, present on admission indicator"
 DXPOA127                     "Diagnosis 127, present on admission indicator"
 DXPOA128                     "Diagnosis 128, present on admission indicator"
 DXPOA129                     "Diagnosis 129, present on admission indicator"
 DXPOA130                     "Diagnosis 130, present on admission indicator"
 DXPOA131                     "Diagnosis 131, present on admission indicator"
 DXPOA132                     "Diagnosis 132, present on admission indicator"
 DXPOA133                     "Diagnosis 133, present on admission indicator"
 DXPOA134                     "Diagnosis 134, present on admission indicator"
 DXPOA135                     "Diagnosis 135, present on admission indicator"
 DXPOA136                     "Diagnosis 136, present on admission indicator"
 FEMALE                       "Indicator of sex"
 HCUP_ED                      "HCUP Emergency Department service indicator"
 HCUP_OS                      "HCUP Observation Stay service indicator"
 HISPANIC                     "Hispanic ethnicity (uniform)"
 HISPANIC_X                   "Hispanic ethnicity (as received from source)"
 Homeless                     "Indicator that patient is homeless"
 HOSPST                       "Hospital state postal code"
 I10_BIRTH                    "ICD-10-CM Birth Indicator"
 I10_DELIVERY                 "ICD-10-CM Delivery Indicator"
 I10_DX1                      "ICD-10-CM Diagnosis 1"
 I10_DX2                      "ICD-10-CM Diagnosis 2"
 I10_DX3                      "ICD-10-CM Diagnosis 3"
 I10_DX4                      "ICD-10-CM Diagnosis 4"
 I10_DX5                      "ICD-10-CM Diagnosis 5"
 I10_DX6                      "ICD-10-CM Diagnosis 6"
 I10_DX7                      "ICD-10-CM Diagnosis 7"
 I10_DX8                      "ICD-10-CM Diagnosis 8"
 I10_DX9                      "ICD-10-CM Diagnosis 9"
 I10_DX10                     "ICD-10-CM Diagnosis 10"
 I10_DX11                     "ICD-10-CM Diagnosis 11"
 I10_DX12                     "ICD-10-CM Diagnosis 12"
 I10_DX13                     "ICD-10-CM Diagnosis 13"
 I10_DX14                     "ICD-10-CM Diagnosis 14"
 I10_DX15                     "ICD-10-CM Diagnosis 15"
 I10_DX16                     "ICD-10-CM Diagnosis 16"
 I10_DX17                     "ICD-10-CM Diagnosis 17"
 I10_DX18                     "ICD-10-CM Diagnosis 18"
 I10_DX19                     "ICD-10-CM Diagnosis 19"
 I10_DX20                     "ICD-10-CM Diagnosis 20"
 I10_DX21                     "ICD-10-CM Diagnosis 21"
 I10_DX22                     "ICD-10-CM Diagnosis 22"
 I10_DX23                     "ICD-10-CM Diagnosis 23"
 I10_DX24                     "ICD-10-CM Diagnosis 24"
 I10_DX25                     "ICD-10-CM Diagnosis 25"
 I10_DX26                     "ICD-10-CM Diagnosis 26"
 I10_DX27                     "ICD-10-CM Diagnosis 27"
 I10_DX28                     "ICD-10-CM Diagnosis 28"
 I10_DX29                     "ICD-10-CM Diagnosis 29"
 I10_DX30                     "ICD-10-CM Diagnosis 30"
 I10_DX31                     "ICD-10-CM Diagnosis 31"
 I10_DX32                     "ICD-10-CM Diagnosis 32"
 I10_DX33                     "ICD-10-CM Diagnosis 33"
 I10_DX34                     "ICD-10-CM Diagnosis 34"
 I10_DX35                     "ICD-10-CM Diagnosis 35"
 I10_DX36                     "ICD-10-CM Diagnosis 36"
 I10_DX37                     "ICD-10-CM Diagnosis 37"
 I10_DX38                     "ICD-10-CM Diagnosis 38"
 I10_DX39                     "ICD-10-CM Diagnosis 39"
 I10_DX40                     "ICD-10-CM Diagnosis 40"
 I10_DX41                     "ICD-10-CM Diagnosis 41"
 I10_DX42                     "ICD-10-CM Diagnosis 42"
 I10_DX43                     "ICD-10-CM Diagnosis 43"
 I10_DX44                     "ICD-10-CM Diagnosis 44"
 I10_DX45                     "ICD-10-CM Diagnosis 45"
 I10_DX46                     "ICD-10-CM Diagnosis 46"
 I10_DX47                     "ICD-10-CM Diagnosis 47"
 I10_DX48                     "ICD-10-CM Diagnosis 48"
 I10_DX49                     "ICD-10-CM Diagnosis 49"
 I10_DX50                     "ICD-10-CM Diagnosis 50"
 I10_DX51                     "ICD-10-CM Diagnosis 51"
 I10_DX52                     "ICD-10-CM Diagnosis 52"
 I10_DX53                     "ICD-10-CM Diagnosis 53"
 I10_DX54                     "ICD-10-CM Diagnosis 54"
 I10_DX55                     "ICD-10-CM Diagnosis 55"
 I10_DX56                     "ICD-10-CM Diagnosis 56"
 I10_DX57                     "ICD-10-CM Diagnosis 57"
 I10_DX58                     "ICD-10-CM Diagnosis 58"
 I10_DX59                     "ICD-10-CM Diagnosis 59"
 I10_DX60                     "ICD-10-CM Diagnosis 60"
 I10_DX61                     "ICD-10-CM Diagnosis 61"
 I10_DX62                     "ICD-10-CM Diagnosis 62"
 I10_DX63                     "ICD-10-CM Diagnosis 63"
 I10_DX64                     "ICD-10-CM Diagnosis 64"
 I10_DX65                     "ICD-10-CM Diagnosis 65"
 I10_DX66                     "ICD-10-CM Diagnosis 66"
 I10_DX67                     "ICD-10-CM Diagnosis 67"
 I10_DX68                     "ICD-10-CM Diagnosis 68"
 I10_DX69                     "ICD-10-CM Diagnosis 69"
 I10_DX70                     "ICD-10-CM Diagnosis 70"
 I10_DX71                     "ICD-10-CM Diagnosis 71"
 I10_DX72                     "ICD-10-CM Diagnosis 72"
 I10_DX73                     "ICD-10-CM Diagnosis 73"
 I10_DX74                     "ICD-10-CM Diagnosis 74"
 I10_DX75                     "ICD-10-CM Diagnosis 75"
 I10_DX76                     "ICD-10-CM Diagnosis 76"
 I10_DX77                     "ICD-10-CM Diagnosis 77"
 I10_DX78                     "ICD-10-CM Diagnosis 78"
 I10_DX79                     "ICD-10-CM Diagnosis 79"
 I10_DX80                     "ICD-10-CM Diagnosis 80"
 I10_DX81                     "ICD-10-CM Diagnosis 81"
 I10_DX82                     "ICD-10-CM Diagnosis 82"
 I10_DX83                     "ICD-10-CM Diagnosis 83"
 I10_DX84                     "ICD-10-CM Diagnosis 84"
 I10_DX85                     "ICD-10-CM Diagnosis 85"
 I10_DX86                     "ICD-10-CM Diagnosis 86"
 I10_DX87                     "ICD-10-CM Diagnosis 87"
 I10_DX88                     "ICD-10-CM Diagnosis 88"
 I10_DX89                     "ICD-10-CM Diagnosis 89"
 I10_DX90                     "ICD-10-CM Diagnosis 90"
 I10_DX91                     "ICD-10-CM Diagnosis 91"
 I10_DX92                     "ICD-10-CM Diagnosis 92"
 I10_DX93                     "ICD-10-CM Diagnosis 93"
 I10_DX94                     "ICD-10-CM Diagnosis 94"
 I10_DX95                     "ICD-10-CM Diagnosis 95"
 I10_DX96                     "ICD-10-CM Diagnosis 96"
 I10_DX97                     "ICD-10-CM Diagnosis 97"
 I10_DX98                     "ICD-10-CM Diagnosis 98"
 I10_DX99                     "ICD-10-CM Diagnosis 99"
 I10_DX100                    "ICD-10-CM Diagnosis 100"
 I10_DX101                    "ICD-10-CM Diagnosis 101"
 I10_DX102                    "ICD-10-CM Diagnosis 102"
 I10_DX103                    "ICD-10-CM Diagnosis 103"
 I10_DX104                    "ICD-10-CM Diagnosis 104"
 I10_DX105                    "ICD-10-CM Diagnosis 105"
 I10_DX106                    "ICD-10-CM Diagnosis 106"
 I10_DX107                    "ICD-10-CM Diagnosis 107"
 I10_DX108                    "ICD-10-CM Diagnosis 108"
 I10_DX109                    "ICD-10-CM Diagnosis 109"
 I10_DX110                    "ICD-10-CM Diagnosis 110"
 I10_DX111                    "ICD-10-CM Diagnosis 111"
 I10_DX112                    "ICD-10-CM Diagnosis 112"
 I10_DX113                    "ICD-10-CM Diagnosis 113"
 I10_DX114                    "ICD-10-CM Diagnosis 114"
 I10_DX115                    "ICD-10-CM Diagnosis 115"
 I10_DX116                    "ICD-10-CM Diagnosis 116"
 I10_DX117                    "ICD-10-CM Diagnosis 117"
 I10_DX118                    "ICD-10-CM Diagnosis 118"
 I10_DX119                    "ICD-10-CM Diagnosis 119"
 I10_DX120                    "ICD-10-CM Diagnosis 120"
 I10_DX121                    "ICD-10-CM Diagnosis 121"
 I10_DX122                    "ICD-10-CM Diagnosis 122"
 I10_DX123                    "ICD-10-CM Diagnosis 123"
 I10_DX124                    "ICD-10-CM Diagnosis 124"
 I10_DX125                    "ICD-10-CM Diagnosis 125"
 I10_DX126                    "ICD-10-CM Diagnosis 126"
 I10_DX127                    "ICD-10-CM Diagnosis 127"
 I10_DX128                    "ICD-10-CM Diagnosis 128"
 I10_DX129                    "ICD-10-CM Diagnosis 129"
 I10_DX130                    "ICD-10-CM Diagnosis 130"
 I10_DX131                    "ICD-10-CM Diagnosis 131"
 I10_DX132                    "ICD-10-CM Diagnosis 132"
 I10_DX133                    "ICD-10-CM Diagnosis 133"
 I10_DX134                    "ICD-10-CM Diagnosis 134"
 I10_DX135                    "ICD-10-CM Diagnosis 135"
 I10_DX136                    "ICD-10-CM Diagnosis 136"
 I10_NDX                      "ICD-10-CM Number of diagnoses on this record"
 I10_NPR                      "ICD-10-PCS Number of procedures on this record"
 I10_PR1                      "ICD-10-PCS Procedure 1"
 I10_PR2                      "ICD-10-PCS Procedure 2"
 I10_PR3                      "ICD-10-PCS Procedure 3"
 I10_PR4                      "ICD-10-PCS Procedure 4"
 I10_PR5                      "ICD-10-PCS Procedure 5"
 I10_PR6                      "ICD-10-PCS Procedure 6"
 I10_PR7                      "ICD-10-PCS Procedure 7"
 I10_PR8                      "ICD-10-PCS Procedure 8"
 I10_PR9                      "ICD-10-PCS Procedure 9"
 I10_PR10                     "ICD-10-PCS Procedure 10"
 I10_PR11                     "ICD-10-PCS Procedure 11"
 I10_PR12                     "ICD-10-PCS Procedure 12"
 I10_PR13                     "ICD-10-PCS Procedure 13"
 I10_PR14                     "ICD-10-PCS Procedure 14"
 I10_PR15                     "ICD-10-PCS Procedure 15"
 I10_PR16                     "ICD-10-PCS Procedure 16"
 I10_PR17                     "ICD-10-PCS Procedure 17"
 I10_PR18                     "ICD-10-PCS Procedure 18"
 I10_PR19                     "ICD-10-PCS Procedure 19"
 I10_PR20                     "ICD-10-PCS Procedure 20"
 I10_PR21                     "ICD-10-PCS Procedure 21"
 I10_PR22                     "ICD-10-PCS Procedure 22"
 I10_PR23                     "ICD-10-PCS Procedure 23"
 I10_PR24                     "ICD-10-PCS Procedure 24"
 I10_PR25                     "ICD-10-PCS Procedure 25"
 I10_PR26                     "ICD-10-PCS Procedure 26"
 I10_PR27                     "ICD-10-PCS Procedure 27"
 I10_PR28                     "ICD-10-PCS Procedure 28"
 I10_PR29                     "ICD-10-PCS Procedure 29"
 I10_PR30                     "ICD-10-PCS Procedure 30"
 I10_PR31                     "ICD-10-PCS Procedure 31"
 I10_PR32                     "ICD-10-PCS Procedure 32"
 I10_PR33                     "ICD-10-PCS Procedure 33"
 I10_PR34                     "ICD-10-PCS Procedure 34"
 I10_PR35                     "ICD-10-PCS Procedure 35"
 I10_PR36                     "ICD-10-PCS Procedure 36"
 I10_PR37                     "ICD-10-PCS Procedure 37"
 I10_PR38                     "ICD-10-PCS Procedure 38"
 I10_PR39                     "ICD-10-PCS Procedure 39"
 I10_PR40                     "ICD-10-PCS Procedure 40"
 I10_PR41                     "ICD-10-PCS Procedure 41"
 I10_PR42                     "ICD-10-PCS Procedure 42"
 I10_PR43                     "ICD-10-PCS Procedure 43"
 I10_PR44                     "ICD-10-PCS Procedure 44"
 I10_PR45                     "ICD-10-PCS Procedure 45"
 I10_PR46                     "ICD-10-PCS Procedure 46"
 I10_PR47                     "ICD-10-PCS Procedure 47"
 I10_PR48                     "ICD-10-PCS Procedure 48"
 I10_PR49                     "ICD-10-PCS Procedure 49"
 I10_PR50                     "ICD-10-PCS Procedure 50"
 I10_PR51                     "ICD-10-PCS Procedure 51"
 I10_PR52                     "ICD-10-PCS Procedure 52"
 I10_PR53                     "ICD-10-PCS Procedure 53"
 I10_PR54                     "ICD-10-PCS Procedure 54"
 I10_PR55                     "ICD-10-PCS Procedure 55"
 I10_PR56                     "ICD-10-PCS Procedure 56"
 I10_PR57                     "ICD-10-PCS Procedure 57"
 I10_PR58                     "ICD-10-PCS Procedure 58"
 I10_PR59                     "ICD-10-PCS Procedure 59"
 I10_PR60                     "ICD-10-PCS Procedure 60"
 I10_PR61                     "ICD-10-PCS Procedure 61"
 I10_PR62                     "ICD-10-PCS Procedure 62"
 I10_PR63                     "ICD-10-PCS Procedure 63"
 I10_PR64                     "ICD-10-PCS Procedure 64"
 I10_PR65                     "ICD-10-PCS Procedure 65"
 I10_PR66                     "ICD-10-PCS Procedure 66"
 I10_PR67                     "ICD-10-PCS Procedure 67"
 I10_PR68                     "ICD-10-PCS Procedure 68"
 I10_PR69                     "ICD-10-PCS Procedure 69"
 I10_PR70                     "ICD-10-PCS Procedure 70"
 I10_PR71                     "ICD-10-PCS Procedure 71"
 I10_PR72                     "ICD-10-PCS Procedure 72"
 I10_PR73                     "ICD-10-PCS Procedure 73"
 I10_PR74                     "ICD-10-PCS Procedure 74"
 I10_PR75                     "ICD-10-PCS Procedure 75"
 I10_PR76                     "ICD-10-PCS Procedure 76"
 I10_PR77                     "ICD-10-PCS Procedure 77"
 I10_PR78                     "ICD-10-PCS Procedure 78"
 I10_PR79                     "ICD-10-PCS Procedure 79"
 I10_PR80                     "ICD-10-PCS Procedure 80"
 I10_PR81                     "ICD-10-PCS Procedure 81"
 I10_PR82                     "ICD-10-PCS Procedure 82"
 I10_PR83                     "ICD-10-PCS Procedure 83"
 I10_PR84                     "ICD-10-PCS Procedure 84"
 I10_PR85                     "ICD-10-PCS Procedure 85"
 I10_PR86                     "ICD-10-PCS Procedure 86"
 I10_PR87                     "ICD-10-PCS Procedure 87"
 I10_PR88                     "ICD-10-PCS Procedure 88"
 I10_PR89                     "ICD-10-PCS Procedure 89"
 I10_PR90                     "ICD-10-PCS Procedure 90"
 I10_PR91                     "ICD-10-PCS Procedure 91"
 I10_PR92                     "ICD-10-PCS Procedure 92"
 I10_PR93                     "ICD-10-PCS Procedure 93"
 I10_PR94                     "ICD-10-PCS Procedure 94"
 I10_PR95                     "ICD-10-PCS Procedure 95"
 I10_PR96                     "ICD-10-PCS Procedure 96"
 I10_PR97                     "ICD-10-PCS Procedure 97"
 I10_PR98                     "ICD-10-PCS Procedure 98"
 I10_PR99                     "ICD-10-PCS Procedure 99"
 I10_PR100                    "ICD-10-PCS Procedure 100"
 I10_PR101                    "ICD-10-PCS Procedure 101"
 I10_PR102                    "ICD-10-PCS Procedure 102"
 I10_PR103                    "ICD-10-PCS Procedure 103"
 I10_PR104                    "ICD-10-PCS Procedure 104"
 I10_PR105                    "ICD-10-PCS Procedure 105"
 I10_PR106                    "ICD-10-PCS Procedure 106"
 I10_PR107                    "ICD-10-PCS Procedure 107"
 I10_PR108                    "ICD-10-PCS Procedure 108"
 I10_PR109                    "ICD-10-PCS Procedure 109"
 I10_PR110                    "ICD-10-PCS Procedure 110"
 I10_PR111                    "ICD-10-PCS Procedure 111"
 I10_PR112                    "ICD-10-PCS Procedure 112"
 I10_PR113                    "ICD-10-PCS Procedure 113"
 I10_PR114                    "ICD-10-PCS Procedure 114"
 I10_PR115                    "ICD-10-PCS Procedure 115"
 I10_PR116                    "ICD-10-PCS Procedure 116"
 I10_PR117                    "ICD-10-PCS Procedure 117"
 I10_PR118                    "ICD-10-PCS Procedure 118"
 I10_PR119                    "ICD-10-PCS Procedure 119"
 I10_PR120                    "ICD-10-PCS Procedure 120"
 I10_PR121                    "ICD-10-PCS Procedure 121"
 I10_PR122                    "ICD-10-PCS Procedure 122"
 I10_PR123                    "ICD-10-PCS Procedure 123"
 I10_PR124                    "ICD-10-PCS Procedure 124"
 I10_PR125                    "ICD-10-PCS Procedure 125"
 I10_PR126                    "ICD-10-PCS Procedure 126"
 I10_PR127                    "ICD-10-PCS Procedure 127"
 I10_PR128                    "ICD-10-PCS Procedure 128"
 I10_PR129                    "ICD-10-PCS Procedure 129"
 I10_PR130                    "ICD-10-PCS Procedure 130"
 I10_PR131                    "ICD-10-PCS Procedure 131"
 I10_PR132                    "ICD-10-PCS Procedure 132"
 I10_PR133                    "ICD-10-PCS Procedure 133"
 I10_PR134                    "ICD-10-PCS Procedure 134"
 I10_PR135                    "ICD-10-PCS Procedure 135"
 I10_PR136                    "ICD-10-PCS Procedure 136"
 I10_PR137                    "ICD-10-PCS Procedure 137"
 I10_PR138                    "ICD-10-PCS Procedure 138"
 I10_PR139                    "ICD-10-PCS Procedure 139"
 I10_PR140                    "ICD-10-PCS Procedure 140"
 I10_PR141                    "ICD-10-PCS Procedure 141"
 I10_PR142                    "ICD-10-PCS Procedure 142"
 I10_PR143                    "ICD-10-PCS Procedure 143"
 I10_PR144                    "ICD-10-PCS Procedure 144"
 I10_PR145                    "ICD-10-PCS Procedure 145"
 I10_PR146                    "ICD-10-PCS Procedure 146"
 I10_PR147                    "ICD-10-PCS Procedure 147"
 I10_PR148                    "ICD-10-PCS Procedure 148"
 I10_PR149                    "ICD-10-PCS Procedure 149"
 I10_PR150                    "ICD-10-PCS Procedure 150"
 I10_PR151                    "ICD-10-PCS Procedure 151"
 I10_PR152                    "ICD-10-PCS Procedure 152"
 I10_PR153                    "ICD-10-PCS Procedure 153"
 I10_PR154                    "ICD-10-PCS Procedure 154"
 I10_PR155                    "ICD-10-PCS Procedure 155"
 I10_PR156                    "ICD-10-PCS Procedure 156"
 I10_PR157                    "ICD-10-PCS Procedure 157"
 I10_PR158                    "ICD-10-PCS Procedure 158"
 I10_PR159                    "ICD-10-PCS Procedure 159"
 I10_PR160                    "ICD-10-PCS Procedure 160"
 I10_PR161                    "ICD-10-PCS Procedure 161"
 I10_PR162                    "ICD-10-PCS Procedure 162"
 I10_PR163                    "ICD-10-PCS Procedure 163"
 I10_PR164                    "ICD-10-PCS Procedure 164"
 I10_PR165                    "ICD-10-PCS Procedure 165"
 I10_PR166                    "ICD-10-PCS Procedure 166"
 I10_PR167                    "ICD-10-PCS Procedure 167"
 I10_PR168                    "ICD-10-PCS Procedure 168"
 I10_PR169                    "ICD-10-PCS Procedure 169"
 I10_PR170                    "ICD-10-PCS Procedure 170"
 I10_PR171                    "ICD-10-PCS Procedure 171"
 I10_PR172                    "ICD-10-PCS Procedure 172"
 I10_PR173                    "ICD-10-PCS Procedure 173"
 I10_PR174                    "ICD-10-PCS Procedure 174"
 I10_PR175                    "ICD-10-PCS Procedure 175"
 I10_PR176                    "ICD-10-PCS Procedure 176"
 I10_PR177                    "ICD-10-PCS Procedure 177"
 I10_PR178                    "ICD-10-PCS Procedure 178"
 I10_PR179                    "ICD-10-PCS Procedure 179"
 I10_PR180                    "ICD-10-PCS Procedure 180"
 I10_PR181                    "ICD-10-PCS Procedure 181"
 I10_PR182                    "ICD-10-PCS Procedure 182"
 I10_PR183                    "ICD-10-PCS Procedure 183"
 I10_PR184                    "ICD-10-PCS Procedure 184"
 I10_PR185                    "ICD-10-PCS Procedure 185"
 I10_PR186                    "ICD-10-PCS Procedure 186"
 I10_PR187                    "ICD-10-PCS Procedure 187"
 I10_PR188                    "ICD-10-PCS Procedure 188"
 I10_PR189                    "ICD-10-PCS Procedure 189"
 I10_PR190                    "ICD-10-PCS Procedure 190"
 I10_PR191                    "ICD-10-PCS Procedure 191"
 I10_PR192                    "ICD-10-PCS Procedure 192"
 I10_PR193                    "ICD-10-PCS Procedure 193"
 I10_PR194                    "ICD-10-PCS Procedure 194"
 I10_PR195                    "ICD-10-PCS Procedure 195"
 I10_PR196                    "ICD-10-PCS Procedure 196"
 I10_PR197                    "ICD-10-PCS Procedure 197"
 I10_PR198                    "ICD-10-PCS Procedure 198"
 I10_PR199                    "ICD-10-PCS Procedure 199"
 I10_PR200                    "ICD-10-PCS Procedure 200"
 I10_PROCTYPE                 "ICD-10-PCS Procedure type indicator"
 I10_SERVICELINE              "ICD-10-CM/PCS Hospital Service Line"
 KEY                          "HCUP record identifier"
 LOS                          "Length of stay (cleaned)"
 LOS_X                        "Length of stay (as received from source)"
 MARITALSTATUS_X              "Patient's marital status (as received from source)"
 MARITALSTATUSUB04            "Patient's marital status, UB-04 standard coding"
 MDC                          "MDC in effect on discharge date"
 MDC_NoPOA                    "MDC in use on discharge date, calculated without POA"
 MDNUM1_R                     "Physician 1 number (re-identified)"
 MDNUM2_R                     "Physician 2 number (re-identified)"
 MDNUM3_R                     "Physician 3 number (re-identified)"
 MDNUM4_R                     "Physician 4 number (re-identified)"
 MEDINCSTQ                    "Median household income state quartile for patient ZIP Code"
 NCPT                         "Number of CPT/HCPCS procedures for this visit"
 OS_TIME                      "Observation stay time summed from UNITS"
 PAY1                         "Primary expected payer (uniform)"
 PAY1_X                       "Primary expected payer (as received from source)"
 PAY2                         "Secondary expected payer (uniform)"
 PAY2_X                       "Secondary expected payer (as received from source)"
 PAY3                         "Tertiary expected payer (uniform)"
 PAY3_X                       "Tertiary expected payer (as received from source)"
 PCLASS_ORPROC                "Indicates operating room (major diagnostic or therapeutic) procedure on the record"
 PL_CBSA                      "Patient location: Core Based Statistical Area (CBSA)"
 PL_NCHS                      "Patient Location: NCHS Urban-Rural Code"
 PL_RUCC                      "Patient location: Rural-Urban Continuum Codes (RUCC)"
 PL_UIC                       "Patient location: Urban Influence Codes"
 PL_UR_CAT4                   "Patient Location: Urban-Rural 4 Categories"
 POA_Disch_Edit1              "Discharge has POA missing on all nonexempt diagnoses"
 POA_Disch_Edit2              "Discharge has POA missing on all nonexempt secondary diagnoses"
 POA_Hosp_Edit1               "Hospital reported POA as Y on all diagnoses on all discharges"
 POA_Hosp_Edit2               "Hospital reported POA as missing on all non-Medicare discharges"
 POA_Hosp_Edit3
"Hospital reported POA as missing on all nonexempt diagnoses for 15% or more of discharges"
 POA_Hosp_Edit3_Value         "Percentage of discharges with all nonexempt diagnoses missing POA indicators"
 PointOfOrigin_X              "Point of origin for admission or visit, as received from source"
 PointOfOriginUB04            "Point of origin for admission or visit, UB-04 standard coding"
 PRDAY1                       "Number of days from admission to I10_PR1"
 PRDAY2                       "Number of days from admission to I10_PR2"
 PRDAY3                       "Number of days from admission to I10_PR3"
 PRDAY4                       "Number of days from admission to I10_PR4"
 PRDAY5                       "Number of days from admission to I10_PR5"
 PRDAY6                       "Number of days from admission to I10_PR6"
 PRDAY7                       "Number of days from admission to I10_PR7"
 PRDAY8                       "Number of days from admission to I10_PR8"
 PRDAY9                       "Number of days from admission to I10_PR9"
 PRDAY10                      "Number of days from admission to I10_PR10"
 PRDAY11                      "Number of days from admission to I10_PR11"
 PRDAY12                      "Number of days from admission to I10_PR12"
 PRDAY13                      "Number of days from admission to I10_PR13"
 PRDAY14                      "Number of days from admission to I10_PR14"
 PRDAY15                      "Number of days from admission to I10_PR15"
 PRDAY16                      "Number of days from admission to I10_PR16"
 PRDAY17                      "Number of days from admission to I10_PR17"
 PRDAY18                      "Number of days from admission to I10_PR18"
 PRDAY19                      "Number of days from admission to I10_PR19"
 PRDAY20                      "Number of days from admission to I10_PR20"
 PRDAY21                      "Number of days from admission to I10_PR21"
 PRDAY22                      "Number of days from admission to I10_PR22"
 PRDAY23                      "Number of days from admission to I10_PR23"
 PRDAY24                      "Number of days from admission to I10_PR24"
 PRDAY25                      "Number of days from admission to I10_PR25"
 PRDAY26                      "Number of days from admission to I10_PR26"
 PRDAY27                      "Number of days from admission to I10_PR27"
 PRDAY28                      "Number of days from admission to I10_PR28"
 PRDAY29                      "Number of days from admission to I10_PR29"
 PRDAY30                      "Number of days from admission to I10_PR30"
 PRDAY31                      "Number of days from admission to I10_PR31"
 PRDAY32                      "Number of days from admission to I10_PR32"
 PRDAY33                      "Number of days from admission to I10_PR33"
 PRDAY34                      "Number of days from admission to I10_PR34"
 PRDAY35                      "Number of days from admission to I10_PR35"
 PRDAY36                      "Number of days from admission to I10_PR36"
 PRDAY37                      "Number of days from admission to I10_PR37"
 PRDAY38                      "Number of days from admission to I10_PR38"
 PRDAY39                      "Number of days from admission to I10_PR39"
 PRDAY40                      "Number of days from admission to I10_PR40"
 PRDAY41                      "Number of days from admission to I10_PR41"
 PRDAY42                      "Number of days from admission to I10_PR42"
 PRDAY43                      "Number of days from admission to I10_PR43"
 PRDAY44                      "Number of days from admission to I10_PR44"
 PRDAY45                      "Number of days from admission to I10_PR45"
 PRDAY46                      "Number of days from admission to I10_PR46"
 PRDAY47                      "Number of days from admission to I10_PR47"
 PRDAY48                      "Number of days from admission to I10_PR48"
 PRDAY49                      "Number of days from admission to I10_PR49"
 PRDAY50                      "Number of days from admission to I10_PR50"
 PRDAY51                      "Number of days from admission to I10_PR51"
 PRDAY52                      "Number of days from admission to I10_PR52"
 PRDAY53                      "Number of days from admission to I10_PR53"
 PRDAY54                      "Number of days from admission to I10_PR54"
 PRDAY55                      "Number of days from admission to I10_PR55"
 PRDAY56                      "Number of days from admission to I10_PR56"
 PRDAY57                      "Number of days from admission to I10_PR57"
 PRDAY58                      "Number of days from admission to I10_PR58"
 PRDAY59                      "Number of days from admission to I10_PR59"
 PRDAY60                      "Number of days from admission to I10_PR60"
 PRDAY61                      "Number of days from admission to I10_PR61"
 PRDAY62                      "Number of days from admission to I10_PR62"
 PRDAY63                      "Number of days from admission to I10_PR63"
 PRDAY64                      "Number of days from admission to I10_PR64"
 PRDAY65                      "Number of days from admission to I10_PR65"
 PRDAY66                      "Number of days from admission to I10_PR66"
 PRDAY67                      "Number of days from admission to I10_PR67"
 PRDAY68                      "Number of days from admission to I10_PR68"
 PRDAY69                      "Number of days from admission to I10_PR69"
 PRDAY70                      "Number of days from admission to I10_PR70"
 PRDAY71                      "Number of days from admission to I10_PR71"
 PRDAY72                      "Number of days from admission to I10_PR72"
 PRDAY73                      "Number of days from admission to I10_PR73"
 PRDAY74                      "Number of days from admission to I10_PR74"
 PRDAY75                      "Number of days from admission to I10_PR75"
 PRDAY76                      "Number of days from admission to I10_PR76"
 PRDAY77                      "Number of days from admission to I10_PR77"
 PRDAY78                      "Number of days from admission to I10_PR78"
 PRDAY79                      "Number of days from admission to I10_PR79"
 PRDAY80                      "Number of days from admission to I10_PR80"
 PRDAY81                      "Number of days from admission to I10_PR81"
 PRDAY82                      "Number of days from admission to I10_PR82"
 PRDAY83                      "Number of days from admission to I10_PR83"
 PRDAY84                      "Number of days from admission to I10_PR84"
 PRDAY85                      "Number of days from admission to I10_PR85"
 PRDAY86                      "Number of days from admission to I10_PR86"
 PRDAY87                      "Number of days from admission to I10_PR87"
 PRDAY88                      "Number of days from admission to I10_PR88"
 PRDAY89                      "Number of days from admission to I10_PR89"
 PRDAY90                      "Number of days from admission to I10_PR90"
 PRDAY91                      "Number of days from admission to I10_PR91"
 PRDAY92                      "Number of days from admission to I10_PR92"
 PRDAY93                      "Number of days from admission to I10_PR93"
 PRDAY94                      "Number of days from admission to I10_PR94"
 PRDAY95                      "Number of days from admission to I10_PR95"
 PRDAY96                      "Number of days from admission to I10_PR96"
 PRDAY97                      "Number of days from admission to I10_PR97"
 PRDAY98                      "Number of days from admission to I10_PR98"
 PRDAY99                      "Number of days from admission to I10_PR99"
 PRDAY100                     "Number of days from admission to I10_PR100"
 PRDAY101                     "Number of days from admission to I10_PR101"
 PRDAY102                     "Number of days from admission to I10_PR102"
 PRDAY103                     "Number of days from admission to I10_PR103"
 PRDAY104                     "Number of days from admission to I10_PR104"
 PRDAY105                     "Number of days from admission to I10_PR105"
 PRDAY106                     "Number of days from admission to I10_PR106"
 PRDAY107                     "Number of days from admission to I10_PR107"
 PRDAY108                     "Number of days from admission to I10_PR108"
 PRDAY109                     "Number of days from admission to I10_PR109"
 PRDAY110                     "Number of days from admission to I10_PR110"
 PRDAY111                     "Number of days from admission to I10_PR111"
 PRDAY112                     "Number of days from admission to I10_PR112"
 PRDAY113                     "Number of days from admission to I10_PR113"
 PRDAY114                     "Number of days from admission to I10_PR114"
 PRDAY115                     "Number of days from admission to I10_PR115"
 PRDAY116                     "Number of days from admission to I10_PR116"
 PRDAY117                     "Number of days from admission to I10_PR117"
 PRDAY118                     "Number of days from admission to I10_PR118"
 PRDAY119                     "Number of days from admission to I10_PR119"
 PRDAY120                     "Number of days from admission to I10_PR120"
 PRDAY121                     "Number of days from admission to I10_PR121"
 PRDAY122                     "Number of days from admission to I10_PR122"
 PRDAY123                     "Number of days from admission to I10_PR123"
 PRDAY124                     "Number of days from admission to I10_PR124"
 PRDAY125                     "Number of days from admission to I10_PR125"
 PRDAY126                     "Number of days from admission to I10_PR126"
 PRDAY127                     "Number of days from admission to I10_PR127"
 PRDAY128                     "Number of days from admission to I10_PR128"
 PRDAY129                     "Number of days from admission to I10_PR129"
 PRDAY130                     "Number of days from admission to I10_PR130"
 PRDAY131                     "Number of days from admission to I10_PR131"
 PRDAY132                     "Number of days from admission to I10_PR132"
 PRDAY133                     "Number of days from admission to I10_PR133"
 PRDAY134                     "Number of days from admission to I10_PR134"
 PRDAY135                     "Number of days from admission to I10_PR135"
 PRDAY136                     "Number of days from admission to I10_PR136"
 PRDAY137                     "Number of days from admission to I10_PR137"
 PRDAY138                     "Number of days from admission to I10_PR138"
 PRDAY139                     "Number of days from admission to I10_PR139"
 PRDAY140                     "Number of days from admission to I10_PR140"
 PRDAY141                     "Number of days from admission to I10_PR141"
 PRDAY142                     "Number of days from admission to I10_PR142"
 PRDAY143                     "Number of days from admission to I10_PR143"
 PRDAY144                     "Number of days from admission to I10_PR144"
 PRDAY145                     "Number of days from admission to I10_PR145"
 PRDAY146                     "Number of days from admission to I10_PR146"
 PRDAY147                     "Number of days from admission to I10_PR147"
 PRDAY148                     "Number of days from admission to I10_PR148"
 PRDAY149                     "Number of days from admission to I10_PR149"
 PRDAY150                     "Number of days from admission to I10_PR150"
 PRDAY151                     "Number of days from admission to I10_PR151"
 PRDAY152                     "Number of days from admission to I10_PR152"
 PRDAY153                     "Number of days from admission to I10_PR153"
 PRDAY154                     "Number of days from admission to I10_PR154"
 PRDAY155                     "Number of days from admission to I10_PR155"
 PRDAY156                     "Number of days from admission to I10_PR156"
 PRDAY157                     "Number of days from admission to I10_PR157"
 PRDAY158                     "Number of days from admission to I10_PR158"
 PRDAY159                     "Number of days from admission to I10_PR159"
 PRDAY160                     "Number of days from admission to I10_PR160"
 PRDAY161                     "Number of days from admission to I10_PR161"
 PRDAY162                     "Number of days from admission to I10_PR162"
 PRDAY163                     "Number of days from admission to I10_PR163"
 PRDAY164                     "Number of days from admission to I10_PR164"
 PRDAY165                     "Number of days from admission to I10_PR165"
 PRDAY166                     "Number of days from admission to I10_PR166"
 PRDAY167                     "Number of days from admission to I10_PR167"
 PRDAY168                     "Number of days from admission to I10_PR168"
 PRDAY169                     "Number of days from admission to I10_PR169"
 PRDAY170                     "Number of days from admission to I10_PR170"
 PRDAY171                     "Number of days from admission to I10_PR171"
 PRDAY172                     "Number of days from admission to I10_PR172"
 PRDAY173                     "Number of days from admission to I10_PR173"
 PRDAY174                     "Number of days from admission to I10_PR174"
 PRDAY175                     "Number of days from admission to I10_PR175"
 PRDAY176                     "Number of days from admission to I10_PR176"
 PRDAY177                     "Number of days from admission to I10_PR177"
 PRDAY178                     "Number of days from admission to I10_PR178"
 PRDAY179                     "Number of days from admission to I10_PR179"
 PRDAY180                     "Number of days from admission to I10_PR180"
 PRDAY181                     "Number of days from admission to I10_PR181"
 PRDAY182                     "Number of days from admission to I10_PR182"
 PRDAY183                     "Number of days from admission to I10_PR183"
 PRDAY184                     "Number of days from admission to I10_PR184"
 PRDAY185                     "Number of days from admission to I10_PR185"
 PRDAY186                     "Number of days from admission to I10_PR186"
 PRDAY187                     "Number of days from admission to I10_PR187"
 PRDAY188                     "Number of days from admission to I10_PR188"
 PRDAY189                     "Number of days from admission to I10_PR189"
 PRDAY190                     "Number of days from admission to I10_PR190"
 PRDAY191                     "Number of days from admission to I10_PR191"
 PRDAY192                     "Number of days from admission to I10_PR192"
 PRDAY193                     "Number of days from admission to I10_PR193"
 PRDAY194                     "Number of days from admission to I10_PR194"
 PRDAY195                     "Number of days from admission to I10_PR195"
 PRDAY196                     "Number of days from admission to I10_PR196"
 PRDAY197                     "Number of days from admission to I10_PR197"
 PRDAY198                     "Number of days from admission to I10_PR198"
 PRDAY199                     "Number of days from admission to I10_PR199"
 PRDAY200                     "Number of days from admission to I10_PR200"
 PrimLang                     "Primary language of patient"
 PSTATE                       "Patient State postal code"
 PSTATE_GEO                   "Patient State postal code assigned from ZIP Code"
 PSTCO                        "Patient state/county FIPS code"
 PSTCO_GEO                    "Counties assigned based on ZIP Code geographic centroids"
 RACE                         "Race (uniform)"
 RACE_PCT_MISS_HOSP           "Hospital percentage of missing or invalid race values"
 RACE_X                       "Race (as received from source)"
 TOTCHG                       "Total charges (cleaned)"
 TOTCHG_X                     "Total charges (as received from source)"
 TRAN_IN                      "Transfer in indicator"
 TRAN_OUT                     "Transfer out indicator"
 VisitLink                    "Visit linkage variable"
 YEAR                         "Calendar year"
 ZIP                          "Patient ZIP Code"
 ZIP3                         "Patient ZIP Code, first 3 digits"
 ZIPINC_QRTL                  "Median household income national quartile for patient ZIP Code"
 HOSPID                       "HCUP hospital identification number"
 AYEAR                        "Admission year"
 BMONTH                       "Birth month"
 BYEAR                        "Birth year"
 PRMONTH1                     "Month of procedure 1"
 PRMONTH2                     "Month of procedure 2"
 PRMONTH3                     "Month of procedure 3"
 PRMONTH4                     "Month of procedure 4"
 PRMONTH5                     "Month of procedure 5"
 PRMONTH6                     "Month of procedure 6"
 PRMONTH7                     "Month of procedure 7"
 PRMONTH8                     "Month of procedure 8"
 PRMONTH9                     "Month of procedure 9"
 PRMONTH10                    "Month of procedure 10"
 PRMONTH11                    "Month of procedure 11"
 PRMONTH12                    "Month of procedure 12"
 PRMONTH13                    "Month of procedure 13"
 PRMONTH14                    "Month of procedure 14"
 PRMONTH15                    "Month of procedure 15"
 PRMONTH16                    "Month of procedure 16"
 PRMONTH17                    "Month of procedure 17"
 PRMONTH18                    "Month of procedure 18"
 PRMONTH19                    "Month of procedure 19"
 PRMONTH20                    "Month of procedure 20"
 PRMONTH21                    "Month of procedure 21"
 PRMONTH22                    "Month of procedure 22"
 PRMONTH23                    "Month of procedure 23"
 PRMONTH24                    "Month of procedure 24"
 PRMONTH25                    "Month of procedure 25"
 PRMONTH26                    "Month of procedure 26"
 PRMONTH27                    "Month of procedure 27"
 PRMONTH28                    "Month of procedure 28"
 PRMONTH29                    "Month of procedure 29"
 PRMONTH30                    "Month of procedure 30"
 PRMONTH31                    "Month of procedure 31"
 PRMONTH32                    "Month of procedure 32"
 PRMONTH33                    "Month of procedure 33"
 PRMONTH34                    "Month of procedure 34"
 PRMONTH35                    "Month of procedure 35"
 PRMONTH36                    "Month of procedure 36"
 PRMONTH37                    "Month of procedure 37"
 PRMONTH38                    "Month of procedure 38"
 PRMONTH39                    "Month of procedure 39"
 PRMONTH40                    "Month of procedure 40"
 PRMONTH41                    "Month of procedure 41"
 PRMONTH42                    "Month of procedure 42"
 PRMONTH43                    "Month of procedure 43"
 PRMONTH44                    "Month of procedure 44"
 PRMONTH45                    "Month of procedure 45"
 PRMONTH46                    "Month of procedure 46"
 PRMONTH47                    "Month of procedure 47"
 PRMONTH48                    "Month of procedure 48"
 PRMONTH49                    "Month of procedure 49"
 PRMONTH50                    "Month of procedure 50"
 PRMONTH51                    "Month of procedure 51"
 PRMONTH52                    "Month of procedure 52"
 PRMONTH53                    "Month of procedure 53"
 PRMONTH54                    "Month of procedure 54"
 PRMONTH55                    "Month of procedure 55"
 PRMONTH56                    "Month of procedure 56"
 PRMONTH57                    "Month of procedure 57"
 PRMONTH58                    "Month of procedure 58"
 PRMONTH59                    "Month of procedure 59"
 PRMONTH60                    "Month of procedure 60"
 PRMONTH61                    "Month of procedure 61"
 PRMONTH62                    "Month of procedure 62"
 PRMONTH63                    "Month of procedure 63"
 PRMONTH64                    "Month of procedure 64"
 PRMONTH65                    "Month of procedure 65"
 PRMONTH66                    "Month of procedure 66"
 PRMONTH67                    "Month of procedure 67"
 PRMONTH68                    "Month of procedure 68"
 PRMONTH69                    "Month of procedure 69"
 PRMONTH70                    "Month of procedure 70"
 PRMONTH71                    "Month of procedure 71"
 PRMONTH72                    "Month of procedure 72"
 PRMONTH73                    "Month of procedure 73"
 PRMONTH74                    "Month of procedure 74"
 PRMONTH75                    "Month of procedure 75"
 PRMONTH76                    "Month of procedure 76"
 PRMONTH77                    "Month of procedure 77"
 PRMONTH78                    "Month of procedure 78"
 PRMONTH79                    "Month of procedure 79"
 PRMONTH80                    "Month of procedure 80"
 PRMONTH81                    "Month of procedure 81"
 PRMONTH82                    "Month of procedure 82"
 PRMONTH83                    "Month of procedure 83"
 PRMONTH84                    "Month of procedure 84"
 PRMONTH85                    "Month of procedure 85"
 PRMONTH86                    "Month of procedure 86"
 PRMONTH87                    "Month of procedure 87"
 PRMONTH88                    "Month of procedure 88"
 PRMONTH89                    "Month of procedure 89"
 PRMONTH90                    "Month of procedure 90"
 PRMONTH91                    "Month of procedure 91"
 PRMONTH92                    "Month of procedure 92"
 PRMONTH93                    "Month of procedure 93"
 PRMONTH94                    "Month of procedure 94"
 PRMONTH95                    "Month of procedure 95"
 PRMONTH96                    "Month of procedure 96"
 PRMONTH97                    "Month of procedure 97"
 PRMONTH98                    "Month of procedure 98"
 PRMONTH99                    "Month of procedure 99"
 PRMONTH100                   "Month of procedure 100"
 PRMONTH101                   "Month of procedure 101"
 PRMONTH102                   "Month of procedure 102"
 PRMONTH103                   "Month of procedure 103"
 PRMONTH104                   "Month of procedure 104"
 PRMONTH105                   "Month of procedure 105"
 PRMONTH106                   "Month of procedure 106"
 PRMONTH107                   "Month of procedure 107"
 PRMONTH108                   "Month of procedure 108"
 PRMONTH109                   "Month of procedure 109"
 PRMONTH110                   "Month of procedure 110"
 PRMONTH111                   "Month of procedure 111"
 PRMONTH112                   "Month of procedure 112"
 PRMONTH113                   "Month of procedure 113"
 PRMONTH114                   "Month of procedure 114"
 PRMONTH115                   "Month of procedure 115"
 PRMONTH116                   "Month of procedure 116"
 PRMONTH117                   "Month of procedure 117"
 PRMONTH118                   "Month of procedure 118"
 PRMONTH119                   "Month of procedure 119"
 PRMONTH120                   "Month of procedure 120"
 PRMONTH121                   "Month of procedure 121"
 PRMONTH122                   "Month of procedure 122"
 PRMONTH123                   "Month of procedure 123"
 PRMONTH124                   "Month of procedure 124"
 PRMONTH125                   "Month of procedure 125"
 PRMONTH126                   "Month of procedure 126"
 PRMONTH127                   "Month of procedure 127"
 PRMONTH128                   "Month of procedure 128"
 PRMONTH129                   "Month of procedure 129"
 PRMONTH130                   "Month of procedure 130"
 PRMONTH131                   "Month of procedure 131"
 PRMONTH132                   "Month of procedure 132"
 PRMONTH133                   "Month of procedure 133"
 PRMONTH134                   "Month of procedure 134"
 PRMONTH135                   "Month of procedure 135"
 PRMONTH136                   "Month of procedure 136"
 PRMONTH137                   "Month of procedure 137"
 PRMONTH138                   "Month of procedure 138"
 PRMONTH139                   "Month of procedure 139"
 PRMONTH140                   "Month of procedure 140"
 PRMONTH141                   "Month of procedure 141"
 PRMONTH142                   "Month of procedure 142"
 PRMONTH143                   "Month of procedure 143"
 PRMONTH144                   "Month of procedure 144"
 PRMONTH145                   "Month of procedure 145"
 PRMONTH146                   "Month of procedure 146"
 PRMONTH147                   "Month of procedure 147"
 PRMONTH148                   "Month of procedure 148"
 PRMONTH149                   "Month of procedure 149"
 PRMONTH150                   "Month of procedure 150"
 PRMONTH151                   "Month of procedure 151"
 PRMONTH152                   "Month of procedure 152"
 PRMONTH153                   "Month of procedure 153"
 PRMONTH154                   "Month of procedure 154"
 PRMONTH155                   "Month of procedure 155"
 PRMONTH156                   "Month of procedure 156"
 PRMONTH157                   "Month of procedure 157"
 PRMONTH158                   "Month of procedure 158"
 PRMONTH159                   "Month of procedure 159"
 PRMONTH160                   "Month of procedure 160"
 PRMONTH161                   "Month of procedure 161"
 PRMONTH162                   "Month of procedure 162"
 PRMONTH163                   "Month of procedure 163"
 PRMONTH164                   "Month of procedure 164"
 PRMONTH165                   "Month of procedure 165"
 PRMONTH166                   "Month of procedure 166"
 PRMONTH167                   "Month of procedure 167"
 PRMONTH168                   "Month of procedure 168"
 PRMONTH169                   "Month of procedure 169"
 PRMONTH170                   "Month of procedure 170"
 PRMONTH171                   "Month of procedure 171"
 PRMONTH172                   "Month of procedure 172"
 PRMONTH173                   "Month of procedure 173"
 PRMONTH174                   "Month of procedure 174"
 PRMONTH175                   "Month of procedure 175"
 PRMONTH176                   "Month of procedure 176"
 PRMONTH177                   "Month of procedure 177"
 PRMONTH178                   "Month of procedure 178"
 PRMONTH179                   "Month of procedure 179"
 PRMONTH180                   "Month of procedure 180"
 PRMONTH181                   "Month of procedure 181"
 PRMONTH182                   "Month of procedure 182"
 PRMONTH183                   "Month of procedure 183"
 PRMONTH184                   "Month of procedure 184"
 PRMONTH185                   "Month of procedure 185"
 PRMONTH186                   "Month of procedure 186"
 PRMONTH187                   "Month of procedure 187"
 PRMONTH188                   "Month of procedure 188"
 PRMONTH189                   "Month of procedure 189"
 PRMONTH190                   "Month of procedure 190"
 PRMONTH191                   "Month of procedure 191"
 PRMONTH192                   "Month of procedure 192"
 PRMONTH193                   "Month of procedure 193"
 PRMONTH194                   "Month of procedure 194"
 PRMONTH195                   "Month of procedure 195"
 PRMONTH196                   "Month of procedure 196"
 PRMONTH197                   "Month of procedure 197"
 PRMONTH198                   "Month of procedure 198"
 PRMONTH199                   "Month of procedure 199"
 PRMONTH200                   "Month of procedure 200"
 PRYEAR1                      "Year of procedure 1"
 PRYEAR2                      "Year of procedure 2"
 PRYEAR3                      "Year of procedure 3"
 PRYEAR4                      "Year of procedure 4"
 PRYEAR5                      "Year of procedure 5"
 PRYEAR6                      "Year of procedure 6"
 PRYEAR7                      "Year of procedure 7"
 PRYEAR8                      "Year of procedure 8"
 PRYEAR9                      "Year of procedure 9"
 PRYEAR10                     "Year of procedure 10"
 PRYEAR11                     "Year of procedure 11"
 PRYEAR12                     "Year of procedure 12"
 PRYEAR13                     "Year of procedure 13"
 PRYEAR14                     "Year of procedure 14"
 PRYEAR15                     "Year of procedure 15"
 PRYEAR16                     "Year of procedure 16"
 PRYEAR17                     "Year of procedure 17"
 PRYEAR18                     "Year of procedure 18"
 PRYEAR19                     "Year of procedure 19"
 PRYEAR20                     "Year of procedure 20"
 PRYEAR21                     "Year of procedure 21"
 PRYEAR22                     "Year of procedure 22"
 PRYEAR23                     "Year of procedure 23"
 PRYEAR24                     "Year of procedure 24"
 PRYEAR25                     "Year of procedure 25"
 PRYEAR26                     "Year of procedure 26"
 PRYEAR27                     "Year of procedure 27"
 PRYEAR28                     "Year of procedure 28"
 PRYEAR29                     "Year of procedure 29"
 PRYEAR30                     "Year of procedure 30"
 PRYEAR31                     "Year of procedure 31"
 PRYEAR32                     "Year of procedure 32"
 PRYEAR33                     "Year of procedure 33"
 PRYEAR34                     "Year of procedure 34"
 PRYEAR35                     "Year of procedure 35"
 PRYEAR36                     "Year of procedure 36"
 PRYEAR37                     "Year of procedure 37"
 PRYEAR38                     "Year of procedure 38"
 PRYEAR39                     "Year of procedure 39"
 PRYEAR40                     "Year of procedure 40"
 PRYEAR41                     "Year of procedure 41"
 PRYEAR42                     "Year of procedure 42"
 PRYEAR43                     "Year of procedure 43"
 PRYEAR44                     "Year of procedure 44"
 PRYEAR45                     "Year of procedure 45"
 PRYEAR46                     "Year of procedure 46"
 PRYEAR47                     "Year of procedure 47"
 PRYEAR48                     "Year of procedure 48"
 PRYEAR49                     "Year of procedure 49"
 PRYEAR50                     "Year of procedure 50"
 PRYEAR51                     "Year of procedure 51"
 PRYEAR52                     "Year of procedure 52"
 PRYEAR53                     "Year of procedure 53"
 PRYEAR54                     "Year of procedure 54"
 PRYEAR55                     "Year of procedure 55"
 PRYEAR56                     "Year of procedure 56"
 PRYEAR57                     "Year of procedure 57"
 PRYEAR58                     "Year of procedure 58"
 PRYEAR59                     "Year of procedure 59"
 PRYEAR60                     "Year of procedure 60"
 PRYEAR61                     "Year of procedure 61"
 PRYEAR62                     "Year of procedure 62"
 PRYEAR63                     "Year of procedure 63"
 PRYEAR64                     "Year of procedure 64"
 PRYEAR65                     "Year of procedure 65"
 PRYEAR66                     "Year of procedure 66"
 PRYEAR67                     "Year of procedure 67"
 PRYEAR68                     "Year of procedure 68"
 PRYEAR69                     "Year of procedure 69"
 PRYEAR70                     "Year of procedure 70"
 PRYEAR71                     "Year of procedure 71"
 PRYEAR72                     "Year of procedure 72"
 PRYEAR73                     "Year of procedure 73"
 PRYEAR74                     "Year of procedure 74"
 PRYEAR75                     "Year of procedure 75"
 PRYEAR76                     "Year of procedure 76"
 PRYEAR77                     "Year of procedure 77"
 PRYEAR78                     "Year of procedure 78"
 PRYEAR79                     "Year of procedure 79"
 PRYEAR80                     "Year of procedure 80"
 PRYEAR81                     "Year of procedure 81"
 PRYEAR82                     "Year of procedure 82"
 PRYEAR83                     "Year of procedure 83"
 PRYEAR84                     "Year of procedure 84"
 PRYEAR85                     "Year of procedure 85"
 PRYEAR86                     "Year of procedure 86"
 PRYEAR87                     "Year of procedure 87"
 PRYEAR88                     "Year of procedure 88"
 PRYEAR89                     "Year of procedure 89"
 PRYEAR90                     "Year of procedure 90"
 PRYEAR91                     "Year of procedure 91"
 PRYEAR92                     "Year of procedure 92"
 PRYEAR93                     "Year of procedure 93"
 PRYEAR94                     "Year of procedure 94"
 PRYEAR95                     "Year of procedure 95"
 PRYEAR96                     "Year of procedure 96"
 PRYEAR97                     "Year of procedure 97"
 PRYEAR98                     "Year of procedure 98"
 PRYEAR99                     "Year of procedure 99"
 PRYEAR100                    "Year of procedure 100"
 PRYEAR101                    "Year of procedure 101"
 PRYEAR102                    "Year of procedure 102"
 PRYEAR103                    "Year of procedure 103"
 PRYEAR104                    "Year of procedure 104"
 PRYEAR105                    "Year of procedure 105"
 PRYEAR106                    "Year of procedure 106"
 PRYEAR107                    "Year of procedure 107"
 PRYEAR108                    "Year of procedure 108"
 PRYEAR109                    "Year of procedure 109"
 PRYEAR110                    "Year of procedure 110"
 PRYEAR111                    "Year of procedure 111"
 PRYEAR112                    "Year of procedure 112"
 PRYEAR113                    "Year of procedure 113"
 PRYEAR114                    "Year of procedure 114"
 PRYEAR115                    "Year of procedure 115"
 PRYEAR116                    "Year of procedure 116"
 PRYEAR117                    "Year of procedure 117"
 PRYEAR118                    "Year of procedure 118"
 PRYEAR119                    "Year of procedure 119"
 PRYEAR120                    "Year of procedure 120"
 PRYEAR121                    "Year of procedure 121"
 PRYEAR122                    "Year of procedure 122"
 PRYEAR123                    "Year of procedure 123"
 PRYEAR124                    "Year of procedure 124"
 PRYEAR125                    "Year of procedure 125"
 PRYEAR126                    "Year of procedure 126"
 PRYEAR127                    "Year of procedure 127"
 PRYEAR128                    "Year of procedure 128"
 PRYEAR129                    "Year of procedure 129"
 PRYEAR130                    "Year of procedure 130"
 PRYEAR131                    "Year of procedure 131"
 PRYEAR132                    "Year of procedure 132"
 PRYEAR133                    "Year of procedure 133"
 PRYEAR134                    "Year of procedure 134"
 PRYEAR135                    "Year of procedure 135"
 PRYEAR136                    "Year of procedure 136"
 PRYEAR137                    "Year of procedure 137"
 PRYEAR138                    "Year of procedure 138"
 PRYEAR139                    "Year of procedure 139"
 PRYEAR140                    "Year of procedure 140"
 PRYEAR141                    "Year of procedure 141"
 PRYEAR142                    "Year of procedure 142"
 PRYEAR143                    "Year of procedure 143"
 PRYEAR144                    "Year of procedure 144"
 PRYEAR145                    "Year of procedure 145"
 PRYEAR146                    "Year of procedure 146"
 PRYEAR147                    "Year of procedure 147"
 PRYEAR148                    "Year of procedure 148"
 PRYEAR149                    "Year of procedure 149"
 PRYEAR150                    "Year of procedure 150"
 PRYEAR151                    "Year of procedure 151"
 PRYEAR152                    "Year of procedure 152"
 PRYEAR153                    "Year of procedure 153"
 PRYEAR154                    "Year of procedure 154"
 PRYEAR155                    "Year of procedure 155"
 PRYEAR156                    "Year of procedure 156"
 PRYEAR157                    "Year of procedure 157"
 PRYEAR158                    "Year of procedure 158"
 PRYEAR159                    "Year of procedure 159"
 PRYEAR160                    "Year of procedure 160"
 PRYEAR161                    "Year of procedure 161"
 PRYEAR162                    "Year of procedure 162"
 PRYEAR163                    "Year of procedure 163"
 PRYEAR164                    "Year of procedure 164"
 PRYEAR165                    "Year of procedure 165"
 PRYEAR166                    "Year of procedure 166"
 PRYEAR167                    "Year of procedure 167"
 PRYEAR168                    "Year of procedure 168"
 PRYEAR169                    "Year of procedure 169"
 PRYEAR170                    "Year of procedure 170"
 PRYEAR171                    "Year of procedure 171"
 PRYEAR172                    "Year of procedure 172"
 PRYEAR173                    "Year of procedure 173"
 PRYEAR174                    "Year of procedure 174"
 PRYEAR175                    "Year of procedure 175"
 PRYEAR176                    "Year of procedure 176"
 PRYEAR177                    "Year of procedure 177"
 PRYEAR178                    "Year of procedure 178"
 PRYEAR179                    "Year of procedure 179"
 PRYEAR180                    "Year of procedure 180"
 PRYEAR181                    "Year of procedure 181"
 PRYEAR182                    "Year of procedure 182"
 PRYEAR183                    "Year of procedure 183"
 PRYEAR184                    "Year of procedure 184"
 PRYEAR185                    "Year of procedure 185"
 PRYEAR186                    "Year of procedure 186"
 PRYEAR187                    "Year of procedure 187"
 PRYEAR188                    "Year of procedure 188"
 PRYEAR189                    "Year of procedure 189"
 PRYEAR190                    "Year of procedure 190"
 PRYEAR191                    "Year of procedure 191"
 PRYEAR192                    "Year of procedure 192"
 PRYEAR193                    "Year of procedure 193"
 PRYEAR194                    "Year of procedure 194"
 PRYEAR195                    "Year of procedure 195"
 PRYEAR196                    "Year of procedure 196"
 PRYEAR197                    "Year of procedure 197"
 PRYEAR198                    "Year of procedure 198"
 PRYEAR199                    "Year of procedure 199"
 PRYEAR200                    "Year of procedure 200" .


/**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************/

RECODE AGE
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEDAY
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEMONTH
 (-99,-88,-66,-55=SYSMIS).
RECODE AHOUR
 (-999,-888,-666,-555=SYSMIS).
RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE BWT
 (-999,-888,-666,-555=SYSMIS).
RECODE CPTCCS1
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS2
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS3
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS4
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS5
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS6
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS7
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS8
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS9
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS10
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS11
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS12
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS13
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS14
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS15
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS16
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS17
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS18
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS19
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS20
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS21
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS22
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS23
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS24
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS25
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS26
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS27
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS28
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS29
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS30
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS31
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS32
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS33
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS34
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS35
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS36
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS37
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS38
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS39
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS40
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS41
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS42
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS43
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS44
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS45
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS46
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS47
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS48
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS49
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS50
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS51
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS52
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS53
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS54
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS55
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS56
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS57
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS58
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS59
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS60
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS61
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS62
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS63
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS64
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS65
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS66
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS67
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS68
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS69
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS70
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS71
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS72
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS73
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS74
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS75
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS76
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS77
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS78
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS79
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS80
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS81
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS82
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS83
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS84
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS85
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS86
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS87
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS88
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS89
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS90
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS91
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS92
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS93
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS94
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS95
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS96
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS97
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS98
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS99
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS100
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS101
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS102
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS103
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS104
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS105
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS106
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS107
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS108
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS109
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS110
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS111
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS112
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS113
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS114
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS115
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS116
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS117
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS118
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS119
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS120
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS121
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS122
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS123
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS124
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS125
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS126
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS127
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS128
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS129
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS130
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS131
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS132
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS133
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS134
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS135
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS136
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS137
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS138
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS139
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS140
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS141
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS142
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS143
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS144
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS145
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS146
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS147
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS148
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS149
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS150
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS151
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS152
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS153
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS154
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS155
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS156
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS157
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS158
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS159
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS160
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS161
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS162
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS163
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS164
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS165
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS166
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS167
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS168
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS169
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS170
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS171
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS172
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS173
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS174
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS175
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS176
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS177
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS178
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS179
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS180
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS181
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS182
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS183
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS184
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS185
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS186
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS187
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS188
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS189
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS190
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS191
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS192
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS193
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS194
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS195
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS196
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS197
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS198
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS199
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS200
 (-99,-88,-66,-55=SYSMIS).
RECODE DaysToEvent
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE DHOUR
 (-999,-888,-666,-555=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB04
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIFORM
 (-9,-8,-6,-5=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE DRG
 (-99,-88,-66,-55=SYSMIS).
RECODE DRG_NoPOA
 (-99,-88,-66,-55=SYSMIS).
RECODE DRGVER
 (-9,-8,-6,-5=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE HISPANIC
 (-9,-8,-6,-5=SYSMIS).
RECODE Homeless
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BIRTH
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_DELIVERY
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_NDX
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_NPR
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_PROCTYPE
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_SERVICELINE
 (-9,-8,-6,-5=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MDC
 (-9,-8,-6,-5=SYSMIS).
RECODE MDC_NoPOA
 (-9,-8,-6,-5=SYSMIS).
RECODE MDNUM1_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM2_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM3_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM4_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MEDINCSTQ
 (-9,-8,-6,-5=SYSMIS).
RECODE NCPT
 (-999,-888,-666,-555=SYSMIS).
RECODE OS_TIME
 (-9999999.99,-8888888.88,-6666666.66,-5555555.55=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY2
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY3
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS_ORPROC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_CBSA
 (-99,-88,-66,-55=SYSMIS).
RECODE PL_NCHS
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_RUCC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UIC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UR_CAT4
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3_Value
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE PRDAY1
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY3
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY4
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY5
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY6
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY7
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY8
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY9
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY10
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY11
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY12
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY13
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY14
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY15
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY16
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY17
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY18
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY19
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY20
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY21
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY22
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY23
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY24
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY25
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY26
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY27
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY28
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY29
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY30
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY31
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY32
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY33
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY34
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY35
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY36
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY37
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY38
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY39
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY40
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY41
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY42
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY43
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY44
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY45
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY46
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY47
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY48
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY49
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY50
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY51
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY52
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY53
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY54
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY55
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY56
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY57
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY58
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY59
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY60
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY61
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY62
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY63
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY64
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY65
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY66
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY67
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY68
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY69
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY70
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY71
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY72
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY73
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY74
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY75
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY76
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY77
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY78
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY79
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY80
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY81
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY82
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY83
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY84
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY85
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY86
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY87
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY88
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY89
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY90
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY91
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY92
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY93
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY94
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY95
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY96
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY97
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY98
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY99
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY100
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY101
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY102
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY103
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY104
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY105
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY106
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY107
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY108
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY109
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY110
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY111
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY112
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY113
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY114
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY115
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY116
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY117
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY118
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY119
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY120
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY121
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY122
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY123
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY124
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY125
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY126
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY127
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY128
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY129
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY130
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY131
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY132
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY133
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY134
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY135
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY136
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY137
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY138
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY139
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY140
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY141
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY142
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY143
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY144
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY145
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY146
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY147
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY148
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY149
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY150
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY151
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY152
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY153
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY154
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY155
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY156
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY157
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY158
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY159
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY160
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY161
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY162
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY163
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY164
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY165
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY166
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY167
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY168
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY169
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY170
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY171
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY172
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY173
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY174
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY175
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY176
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY177
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY178
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY179
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY180
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY181
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY182
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY183
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY184
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY185
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY186
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY187
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY188
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY189
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY190
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY191
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY192
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY193
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY194
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY195
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY196
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY197
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY198
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY199
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY200
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO_GEO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE RACE_PCT_MISS_HOSP
 (-999.99,-888.88,-666.66,-555.55=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE TRAN_IN
 (-9,-8,-6,-5=SYSMIS).
RECODE TRAN_OUT
 (-9,-8,-6,-5=SYSMIS).
RECODE VisitLink
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE ZIPINC_QRTL
 (-99,-88,-66,-55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE BMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE BYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE PRMONTH1
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH2
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH3
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH5
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH6
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH7
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH8
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH9
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH10
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH11
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH12
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH13
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH14
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH15
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH16
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH17
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH18
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH19
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH20
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH21
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH22
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH23
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH24
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH25
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH26
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH27
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH28
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH29
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH30
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH31
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH32
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH33
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH34
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH35
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH36
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH37
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH38
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH39
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH40
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH41
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH42
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH43
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH44
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH45
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH46
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH47
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH48
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH49
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH50
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH51
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH52
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH53
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH54
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH55
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH56
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH57
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH58
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH59
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH60
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH61
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH62
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH63
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH64
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH65
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH66
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH67
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH68
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH69
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH70
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH71
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH72
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH73
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH74
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH75
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH76
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH77
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH78
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH79
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH80
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH81
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH82
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH83
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH84
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH85
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH86
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH87
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH88
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH89
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH90
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH91
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH92
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH93
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH94
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH95
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH96
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH97
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH98
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH99
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH100
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH101
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH102
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH103
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH104
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH105
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH106
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH107
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH108
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH109
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH110
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH111
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH112
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH113
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH114
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH115
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH116
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH117
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH118
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH119
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH120
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH121
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH122
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH123
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH124
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH125
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH126
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH127
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH128
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH129
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH130
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH131
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH132
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH133
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH134
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH135
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH136
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH137
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH138
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH139
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH140
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH141
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH142
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH143
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH144
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH145
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH146
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH147
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH148
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH149
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH150
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH151
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH152
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH153
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH154
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH155
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH156
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH157
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH158
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH159
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH160
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH161
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH162
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH163
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH164
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH165
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH166
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH167
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH168
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH169
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH170
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH171
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH172
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH173
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH174
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH175
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH176
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH177
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH178
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH179
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH180
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH181
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH182
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH183
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH184
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH185
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH186
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH187
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH188
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH189
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH190
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH191
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH192
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH193
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH194
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH195
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH196
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH197
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH198
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH199
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH200
 (-9,-8,-6,-5=SYSMIS).
RECODE PRYEAR1
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR2
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR3
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR4
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR5
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR6
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR7
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR8
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR9
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR10
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR11
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR12
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR13
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR14
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR15
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR16
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR17
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR18
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR19
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR20
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR21
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR22
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR23
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR24
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR25
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR26
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR27
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR28
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR29
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR30
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR31
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR32
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR33
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR34
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR35
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR36
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR37
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR38
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR39
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR40
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR41
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR42
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR43
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR44
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR45
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR46
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR47
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR48
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR49
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR50
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR51
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR52
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR53
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR54
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR55
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR56
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR57
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR58
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR59
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR60
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR61
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR62
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR63
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR64
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR65
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR66
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR67
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR68
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR69
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR70
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR71
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR72
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR73
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR74
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR75
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR76
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR77
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR78
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR79
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR80
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR81
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR82
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR83
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR84
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR85
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR86
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR87
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR88
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR89
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR90
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR91
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR92
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR93
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR94
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR95
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR96
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR97
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR98
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR99
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR100
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR101
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR102
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR103
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR104
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR105
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR106
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR107
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR108
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR109
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR110
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR111
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR112
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR113
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR114
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR115
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR116
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR117
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR118
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR119
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR120
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR121
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR122
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR123
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR124
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR125
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR126
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR127
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR128
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR129
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR130
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR131
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR132
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR133
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR134
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR135
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR136
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR137
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR138
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR139
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR140
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR141
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR142
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR143
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR144
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR145
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR146
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR147
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR148
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR149
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR150
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR151
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR152
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR153
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR154
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR155
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR156
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR157
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR158
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR159
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR160
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR161
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR162
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR163
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR164
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR165
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR166
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR167
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR168
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR169
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR170
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR171
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR172
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR173
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR174
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR175
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR176
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR177
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR178
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR179
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR180
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR181
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR182
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR183
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR184
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR185
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR186
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR187
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR188
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR189
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR190
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR191
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR192
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR193
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR194
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR195
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR196
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR197
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR198
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR199
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR200
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'GA_SID_2022_CORE.sav' /COMPRESSED.
